program andrq;

uses
  Forms,
  dialogs,
  sysutils,
  mainDlg in 'mainDlg.pas' {mainFrm},
  roasterLib in 'roasterLib.pas',
  addContactDlg in 'addContactDlg.pas' {addContactFrm},
  history in 'history.pas',
  flap in 'flap.pas',
  events in 'events.pas',
  importDlg in 'importDlg.pas' {importFrm},
  codes in 'codes.pas',
  traylib in 'traylib.pas',
  viewinfoDlg in 'viewinfoDlg.pas' {viewinfoFrm},
  aboutDlg in 'aboutDlg.pas' {aboutFrm},
  wpDlg in 'wpDlg.pas' {wpFrm},
  selectcontactsDlg in 'selectcontactsDlg.pas' {selectContactsFrm},
  incapsulate in 'incapsulate.pas',
  visibilityDlg in 'visibilityDlg.pas' {visibilityFrm},
  logDlg in 'logDlg.pas' {logFrm},
  prefDlg in 'prefDlg.pas' {prefFrm},
  usersDlg in 'usersDlg.pas' {usersFrm},
  DecryptICQPass in 'decryptICQpass.pas',
  smilesLib in 'smilesLib.pas',
  removeDlg in 'removeDlg.pas' {removeFrm},
  newaccountDlg in 'newaccountDlg.pas' {newaccountFrm},
  iniLib in 'iniLib.pas',
  utilLib in 'utilLib.pas',
  searchhistDlg in 'searchhistDlg.pas' {searchhistFrm},
  authreqDlg in 'authreqDlg.pas' {authreqFrm},
  changepwddlg in 'changepwddlg.pas' {changePwdFrm},
  dbDlg in 'dbDlg.pas' {dbFrm},
  historyVCL in 'historyVCL.pas',
  chatDlg in 'chatDlg.pas' {chatFrm},
  importnotesDlg in 'importnotesDlg.pas' {importNotesFrm},
  pluginLib in 'pluginLib.pas',
  outboxLib in 'outboxLib.pas',
  outboxDlg in 'outboxDlg.pas' {outboxFrm},
  lockDlg in 'lockDlg.pas' {lockFrm},
  uinlistlib in 'uinlistlib.pas',
  controls,
  converthistoriesDlg in 'converthistoriesDlg.pas' {convhistFrm},
  sendfileDlg in 'sendfileDlg.pas' {sendfileFrm},
  automsgDlg in 'automsgDlg.pas' {automsgFrm},
  filetransferDlg in 'filetransferDlg.pas' {filetransferFrm},
  easterDlg in 'easterDlg.pas' {easterFrm: startexit_fr},
  smsDlg in 'smsDlg.pas' {smsFrm},
  connection_fr in 'connection_fr.pas' {connectionFr: TFrame},
  other_fr in 'other_fr.pas' {otherFr: TFrame},
  autoaway_fr in 'autoaway_fr.pas' {autoawayFr: TFrame},
  security_fr in 'security_fr.pas' {securityFr: TFrame},
  hotkeys_fr in 'hotkeys_fr.pas' {hotkeysFr: TFrame},
  design_fr in 'design_fr.pas' {designFr: TFrame},
  start_fr in 'start_fr.pas' {startFr: TFrame},
  plugins_fr in 'plugins_fr.pas' {pluginsFr: TFrame},
  tipDlg in 'tipDlg.pas' {tipFrm},
  antispam_fr in 'antispam_fr.pas' {antispamFr: TFrame},
  ignore_fr in 'ignore_fr.pas' {ignoreFr: TFrame},
  events_fr in 'events_fr.pas' {eventsFr: TFrame},
  globalLib in 'globalLib.pas',
  update_fr in 'update_fr.pas' {updateFr: TFrame},
  log_fr in 'log_fr.pas' {logFr: TFrame},
  ICQv7 in 'ICQv7.pas',
  contacts in 'contacts.pas',
  groupsLib in 'groupsLib.pas',
  disable_fr in 'disable_fr.pas' {disableFr: TFrame},
  langLib in 'langLib.pas',
  lang_fr in 'lang_fr.pas' {langFr: TFrame},
  langDlg in 'langDlg.pas' {langFrm},
  themesLib in 'themesLib.pas',
  chat_fr in 'chat_fr.pas' {chatFr: TFrame},
  themes_fr in 'themes_fr.pas' {themesFr: TFrame},
  themedit_fr in 'themedit_fr.pas' {themeditFr: TFrame},
  hook in 'hook.pas',
  msgsDlg in 'msgsDlg.pas' {msgsFrm},
  pwdDlg in 'pwdDlg.pas' {pwdFrm};

{$R *.RES}

begin
	randomize();
  beforeWindowsCreation;
  Application.CreateForm(TmainFrm, mainFrm);
  Application.CreateForm(TchatFrm, chatFrm);
  Application.CreateForm(TlogFrm, logFrm);
  Application.CreateForm(TconvhistFrm, convhistFrm);
  Application.CreateForm(TautomsgFrm, automsgFrm);
  Application.CreateForm(TsmsFrm, smsFrm);
  Application.CreateForm(TaddContactFrm, addContactFrm);
  Application.CreateForm(TaboutFrm, aboutFrm);
  Application.CreateForm(TvisibilityFrm, visibilityFrm);
  Application.CreateForm(TsearchhistFrm, searchhistFrm);
  Application.CreateForm(TchangePwdFrm, changePwdFrm);
  Application.CreateForm(TdbFrm, dbFrm);
  Application.CreateForm(ToutboxFrm, outboxFrm);
  Application.CreateForm(TlockFrm, lockFrm);
  Application.CreateForm(TmsgsFrm, msgsFrm);
  afterWindowsCreation;
  if startminimized and formvisible(mainfrm) then mainfrm.toggleVisible;
  startUser;
  setupChatButtons;
  releaseResources;
  application.Run;
end.
