{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit changepwddlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TchangePwdFrm = class(TForm)
    Label2: TLabel;
    Label3: TLabel;
    newpwd1Box: TEdit;
    newpwd2Box: TEdit;
    Label1: TLabel;
    oldpwdBox: TEdit;
    saveBtn: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure saveBtnClick(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  public procedure destroyHandle;
  end;

var
  changePwdFrm: TchangePwdFrm;

implementation

{$R *.DFM}

uses
  utilLib, globalLib, mainDlg;

procedure TchangePwdFrm.FormShow(Sender: TObject);
begin
icon:=pic2ico(PIC_KEY);
applyTaskButton(self);
oldpwdbox.text:='';
newpwd1box.text:='';
newpwd2box.text:='';
oldpwdbox.onKeyDown:=mainfrm.pwdBoxKeyDown;
newpwd1box.onKeyDown:=mainfrm.pwdBoxKeyDown;
newpwd2box.onKeyDown:=mainfrm.pwdBoxKeyDown;
oldpwdbox.setfocus;
end;

procedure TchangePwdFrm.saveBtnClick(Sender: TObject);
begin
if oldPwdBox.text <> ICQ.pwd then
  begin
  msgDlg(___('wrong pwd'), mtError);
  oldpwdbox.text:='';
  oldpwdbox.setFocus;
  exit;
  end;
if not ICQ.isOnline then
  begin
  msgDlg(___('change pwd online'), mtError);
  exit;
  end;
if (newpwd1box.text <> newpwd2box.text) or (trim(newpwd1box.text)='') then
  begin
  msgDlg(___('change pwd retype'), mtWarning);
  newpwd1box.text:='';
  newpwd2box.text:='';
  newpwd1box.setFocus;
  exit;
  end;
ICQ.pwd:=newpwd1box.text;
close;
end;

procedure TchangePwdFrm.FormPaint(Sender: TObject);
begin wallpaperize(canvas) end;

procedure TchangePwdFrm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
destroyHandle;
end;

procedure TchangePwdFrm.destroyHandle; begin inherited end;

end.
