unit disable_fr;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, CheckLst, contacts, globalLib;

type
  TdisableFr = class(TFrame)
    GroupBox1: TGroupBox;
    Label2: TLabel;
    disableBox: TCheckListBox;
    Label1: TLabel;
    Label3: TLabel;
    statusBox: TComboBox;
    procedure statusBoxSelect(Sender: TObject);
    procedure disableBoxClick(Sender: TObject);
    procedure statusBoxDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
  public
    function currentStatus:Tstatus;
  end;

implementation

uses
  utilLib;

{$R *.dfm}

function TdisableFr.currentStatus:Tstatus;
begin result:=Tstatus(statusBox.itemIndex+ord(SC_ONLINE)) end;

procedure TdisableFr.statusBoxSelect(Sender: TObject);
begin
disableBox.checked[0]:=onStatusDisable[currentStatus].tips;
disableBox.checked[1]:=onStatusDisable[currentStatus].blinking;
disableBox.checked[2]:=onStatusDisable[currentStatus].sounds;
end;

procedure TdisableFr.disableBoxClick(Sender: TObject);
begin
onStatusDisable[currentStatus].tips:=disableBox.checked[0];
onStatusDisable[currentStatus].blinking:=disableBox.checked[1];
onStatusDisable[currentStatus].sounds:=disableBox.checked[2];
end;

procedure TdisableFr.statusBoxDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
var
  cnv:Tcanvas;
  x,y:integer;
  st:Tstatus;
begin
cnv:=statusbox.canvas;
cnv.fillrect(rect);
x:=2+rect.left;
y:=rect.top;
st:=Tstatus(statusBox.items.objects[index]);
inc(x, 2+drawPic(cnv, x,y,status2imgidx(st)).cx);
cnv.textout(x,y,statusName(st));
end;

end.

