library example2;

uses
  forms, sysutils;

{$I plugin.inc }
{$I pluginutil.inc }

var
  callback:TpluginFun;      // &RQ callback function
  form:Tform;               // preferences form
  currentUser:integer;      // keep track of current user uin
  outBuffer:string;

function string2buffer(s:string):pointer;
begin
outBuffer:=_int(length(s))+s;
result:=@outBuffer[1];
end; // string2buffer

function pluginFun(data:pointer):pointer; stdcall;
var
  s:string;
  p:Pbyte;
begin
result:=NIL;
if (data=NIL) or (integer(data^)=0) then exit;
outBuffer:='';
p:=data;
inc(p,4);
case p^ of
  PM_EVENT:
    begin
    inc(p);
    case p^ of
      PE_INITIALIZE:
        begin
        inc(p);
        callback:=_ptr_at(p);
        p:=callback(string2buffer(char(PM_GET)+char(PG_USER)));
        inc(p,5);
        currentUser:=_int_at(p);
        s:=char(PM_DATA)+_istring('Test plugin')+_int(APIversion);
        end;
      PE_PREFERENCES:
        begin
        if not assigned(form) then form:=Tform.create(NIL);
        p:=callback( string2buffer(char(PM_GET)+char(PG_DISPLAYED_NAME)+_int(currentUser)) );
        inc(p,5);
        form.caption:='hello '+_istring_at(p);
        form.show;
        callback( string2buffer(char(PM_CMD)+char(PC_SEND_MSG)+_int(currentUser)+_int(0)+_istring('sending a message to myself')) );
        end;
      end;
    end;
  end;
result:=string2buffer(s);
end; // pluginFun

exports
  pluginFun;

end.
