{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit filetransferDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, contacts, wsocket, utilLib, StdCtrls, flap, icqv7;

type
  TfiletransferFrm = class(TForm)
    box: TMemo;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  public
    direct :Tdirect;
    fn :string;
    fs :integer;    
    constructor doAll(d:Tdirect);
  end;

var
  filetransferFrm: TfiletransferFrm;

implementation

{$R *.dfm}

uses
  globalLib, mainDlg, langLib;

constructor TfiletransferFrm.doAll(d:Tdirect);
begin
inherited create(mainfrm);
position:=poDefaultPosOnly;
direct:=d;
d.data:=self;
childWindows.Add(self);
icon:=getIco(ICO_FILE);
translateWindow(self);
showForm(self);
bringForeground:=handle;
end; // doAll

procedure TfiletransferFrm.FormShow(Sender: TObject);
begin applyTaskButton(self) end;

procedure TfiletransferFrm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  tmp:Tdirect;
begin
childWindows.remove(self);
tmp:=direct;
direct:=NIL;
tmp.free;
action:=caFree;
destroyHandle;
end;

end.
