{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit lockDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TlockFrm = class(TForm)
    Image1: TImage;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    pwdBox: TEdit;
    BitBtn2: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public procedure destroyHandle;
  end;

var
  lockFrm: TlockFrm;

implementation

{$R *.DFM}

uses
  globalLib, utilLib, iniLib, chatdlg, tipDlg, mainDlg;

procedure TlockFrm.FormShow(Sender: TObject);
begin
pwdBox.onKeyDown:=mainfrm.pwdBoxKeyDown;
applyTaskButton(self);
if formVisible(mainFrm) then
  mainFrm.toggleVisible;
chatFrm.close;
locked:=TRUE;
if not startingLock then
  saveCFG;  // eventually delete password from file
tipFrm.hide();
bringForeground:=handle;
pwdBox.Text:='';
pwdBox.SetFocus();
end;

procedure TlockFrm.BitBtn2Click(Sender: TObject);
begin
if compareText(pwdBox.text, ICQ.pwd) = 0 then
  begin
  locked:=FALSE;
  if not startingLock then
    saveCFG;
  close
  end
else
  msgDlg(___('wrong pwd'), mtError);
end;

procedure TlockFrm.BitBtn1Click(Sender: TObject);
begin mainFrm.close end;

procedure TlockFrm.FormPaint(Sender: TObject);
begin wallpaperize(canvas) end;

procedure TlockFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin destroyHandle end;

procedure TlockFrm.destroyHandle; begin inherited end;

end.
