{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit pwdDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TpwdFrm = class(TForm)
    pwdBox: TEdit;
    Label1: TLabel;
    okBtn: TBitBtn;
    procedure pwdBoxKeyPress(Sender: TObject; var Key: Char);
    procedure okBtnClick(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  public
    result_uin:integer;
    exitCode:(EC_enter,EC_cancel);
    end;

implementation

uses
  globalLib, utilLib, mainDlg;

{$R *.DFM}

procedure TpwdFrm.pwdBoxKeyPress(Sender: TObject; var Key: Char);
begin
case key of
  #27:
    begin
    close;
    key:=#0;
    end;
  #13:
    begin
    okBtnClick(self);
    key:=#0;
    end;
  end;
end; // keypress

procedure TpwdFrm.okBtnClick(Sender: TObject);
begin
if trim(pwdBox.text) = '' then
  exit;
tag:=1;
close;
end;

procedure TpwdFrm.FormPaint(Sender: TObject);
begin drawTiled(canvas, getPic(PIC_WALLPAPER)) end;

procedure TpwdFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//destroyHandle;
end;

procedure TpwdFrm.FormCreate(Sender: TObject);
begin icon:=pic2ico(PIC_KEY) end;

procedure TpwdFrm.FormShow(Sender: TObject);
begin
pwdBox.onKeyDown:=mainfrm.pwdBoxKeyDown;
applyTaskButton(self)
end;

end.
