unit start_fr;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, contacts, globalLib, ExtCtrls;

type
  TstartFr = class(TFrame)
    autoconnectChk: TCheckBox;
    splashChk: TCheckBox;
    Label24: TLabel;
    laststatus1: TCheckBox;
    Label25: TLabel;
    autostart1: TEdit;
    Button1: TButton;
    Label13: TLabel;
    readonlyChk: TCheckBox;
    minimizedChk: TCheckBox;
    lockonstartChk: TCheckBox;
    getofflinemsgsChk: TCheckBox;
    delofflinemsgsChk: TCheckBox;
    reopenchatsChk: TCheckBox;
    startingStatusBox: TComboBox;
    startingVisibilityBox: TComboBox;
    userspathBox: TLabeledEdit;
    procedure Button1Click(Sender: TObject);
    procedure startingStatusBoxDrawItem(Control: TWinControl;
      Index: Integer; Rect: TRect; State: TOwnerDrawState);
    procedure startingVisibilityBoxDrawItem(Control: TWinControl;
      Index: Integer; Rect: TRect; State: TOwnerDrawState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses
  utilLib;

{$R *.dfm}

procedure TstartFr.Button1Click(Sender: TObject);
begin autostart1.text:=intTOStr(ICQ.myInfo.uin) end;

procedure TstartFr.startingStatusBoxDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
var
  cnv:Tcanvas;
  x,y:integer;
  st:Tstatus;
begin
cnv:=startingstatusbox.canvas;
cnv.fillrect(rect);
x:=2+rect.left;
y:=rect.top;
st:=Tstatus(startingstatusBox.items.objects[index]);
inc(x, 2+drawPic(cnv, x,y,status2imgidx(st)).cx);
cnv.textout(x,y,statusName(st));
end;

procedure TstartFr.startingVisibilityBoxDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
var
  cnv:Tcanvas;
  x,y:integer;
  vi:Tvisibility;
begin
cnv:=startingvisibilitybox.canvas;
cnv.fillrect(rect);
x:=2+rect.left;
y:=rect.top;
vi:=Tvisibility(startingvisibilityBox.items.objects[index]);
inc(x, 2+drawPic(cnv, x,y,visibility2imgidx(vi)).cx);
cnv.textout(x,y,visibilityName(vi));
end;

end.
