{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit aboutDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, shellapi, ComCtrls, easterDlg, Buttons;

type
  TaboutFrm = class(TForm)
    Label2: TLabel;
    Label1: TLabel;
    Label4: TLabel;
    Memo1: TMemo;
    versionLbl: TLabel;
    Image1: TImage;
    wwwLbl: TLabel;
    rejLbl: TLabel;
    forumLbl: TLabel;
    procedure wwwLblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure lblMouseEnter(Sender: TObject);
    procedure lblMouseLeave(Sender: TObject);
    procedure rejLblClick(Sender: TObject);
    procedure antonLblClick(Sender: TObject);
    procedure forumLblClick(Sender: TObject);
  public
    procedure view;
  public procedure destroyHandle;
  end;

var
  aboutFrm: TaboutFrm;

implementation

uses
  mainDlg, utilLib, flap, globalLib;
var
  eggCounter:integer;

{$R *.DFM}

procedure TaboutFrm.view;
begin
eggCounter:=0;
versionLbl.caption:=ip2str(ANDRQversion);
showForm(self);
end;

procedure TaboutFrm.wwwLblClick(Sender: TObject);
begin openURL('www.rejetto.com/&RQ') end;

procedure TaboutFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin destroyHandle end;

procedure TaboutFrm.FormCreate(Sender: TObject);
begin destroyHandle end;

procedure TaboutFrm.destroyHandle; begin inherited end;

procedure TaboutFrm.FormShow(Sender: TObject);
begin
icon:=pic2ico(PIC_RATMAN);
applyTaskButton(self);
end;

procedure TaboutFrm.FormKeyPress(Sender: TObject; var Key: Char);
var
  frm:TeasterFrm;
begin
if key=#27 then
  eggCounter:=0
else
  inc(eggCounter,ord(key));
if eggCounter=903 then
  begin
  frm:=TeasterFrm.create(NIL);
  frm.show;
  end;
end;

procedure TaboutFrm.lblMouseEnter(Sender: TObject);
begin with (sender as Tlabel).font do Style:=Style+[fsUnderline] end;

procedure TaboutFrm.lblMouseLeave(Sender: TObject);
begin with (sender as Tlabel).font do Style:=Style-[fsUnderline] end;

procedure TaboutFrm.rejLblClick(Sender: TObject);
begin exec('mailto:rejetto@libero.it?subject=&RQ') end;

procedure TaboutFrm.antonLblClick(Sender: TObject);
begin exec('mailto:andrq@dr.kiev.ua?subject=&RQ') end;

procedure TaboutFrm.forumLblClick(Sender: TObject);
begin openURL('www.rejetto.com/forum') end;

end.
