library hook;

uses
  messages, windows;
const
  HOOK_VER=5;
  mapfile='andrqHook5';
type
  Tshared=record
    sign:array [1..3] of char;
    ver:integer;
    runs:integer;
    keyMoved :integer;
    end;
var
  k_hookHnd:HHook;
  fileHnd:THandle=0;
  shared:^Tshared;

function k_callBack(Code:Integer; wParam :WPARAM; lParam :LPARAM  ): LRESULT; stdcall;
var
  filehnd:integer;
begin
result:=CallNextHookEx(k_hookHnd, Code, wParam, lParam);
// the file has to be open locally cause we don't know in what process we are
fileHnd:=OpenFileMapping(FILE_MAP_WRITE,False,mapfile);
shared:=MapViewOfFile(fileHnd,FILE_MAP_WRITE,0,0,0);
inc(shared^.keyMoved);
UnmapViewOfFile(shared);
CloseHandle(fileHnd);
end; // k_callBack

function hookOn:integer; stdCall;
begin
result:=-1;
fileHnd:=CreateFileMapping( $FFFFFFFF,nil,PAGE_READWRITE,0, sizeOf(Tshared),mapfile);
if (fileHnd=0) or (getLastError=ERROR_ALREADY_EXISTS) then exit;

shared:=MapViewOfFile(fileHnd,FILE_MAP_WRITE,0,0,0);
fillChar(shared^, sizeOf(Tshared), 0);
shared^.sign:='&RQ';
shared^.ver:=HOOK_VER;
shared^.runs:=0;
UnmapViewOfFile(shared);

k_hookHnd:=SetWindowsHookEx(WH_KEYBOARD, @k_callBack, HInstance , 0);
if k_hookHnd=0 then exit;
result:=0;
end;

procedure hookOff; stdcall;
begin
UnhookWindowsHookEx(k_hookHnd);
CloseHandle(fileHnd);
end;

function hookVer:integer; stdCall;
begin result:=HOOK_VER end;

exports
  hookOn, hookOff, hookVer;

end.
