unit ignore_fr;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls;

type
  TignoreFr = class(TFrame)
    ignoreChk: TCheckBox;
    ignoreBox: TListBox;
    addBtn: TSpeedButton;
    removeBtn: TSpeedButton;
    procedure ignoreBoxDragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure ignoreBoxDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure removeBtnClick(Sender: TObject);
    procedure addBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses
  globalLib, utilLib, mainDlg;

{$R *.dfm}

procedure TignoreFr.ignoreBoxDragDrop(Sender, Source: TObject; X,Y: Integer);
begin addToIgnoreList(clickedContact) end;

procedure TignoreFr.ignoreBoxDragOver(Sender, Source: TObject; X,Y: Integer; State: TDragState; var Accept: Boolean);
begin accept:=source=mainFrm.roaster end;

procedure TignoreFr.removeBtnClick(Sender: TObject);
var
  i:integer;
begin
for i:=ignoreBox.count-1 downto 0 do
  if ignoreBox.selected[i] then
    ignoreList.remove(ignoreBox.items.objects[i]);
ignoreBox.deleteSelected;
saveLists;
end;

procedure TignoreFr.addBtnClick(Sender: TObject);
begin
msgDlg('for now you can only drag&drop your contacts from the contact-list, sorry',mtInformation);
end;

end.
