{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit logDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, JvMenus,  StdCtrls, ExtCtrls, Menus;

type
  TlogFrm = class(TForm)
    pktsBox: TListBox;
    Splitter1: TSplitter;
    dumpBox: TMemo;
    menu: TJvPopupMenu;
    Clear1: TMenuItem;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure pktsBoxClick(Sender: TObject);
    procedure Clear1Click(Sender: TObject);
  public procedure destroyHandle;
  end;

var
  logFrm: TlogFrm;
                                  
implementation

{$R *.dfm}

uses
  incapsulate, mainDlg, utilLib, globalLib;

procedure TlogFrm.destroyHandle; begin inherited end;

procedure TlogFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin {destroyHandle }end;

procedure TlogFrm.FormShow(Sender: TObject);
begin
icon:=pic2ico(PIC_HISTORY);
applyTaskButton(self)
end;

procedure TlogFrm.pktsBoxClick(Sender: TObject);
var
  inc:Tincapsulate;
begin
inc:=Tincapsulate(pktsbox.Items.objects[pktsbox.ItemIndex]);
if assigned(inc) then
  dumpbox.text:=inc.str
else
  dumpbox.clear;
end;

procedure TlogFrm.Clear1Click(Sender: TObject);
var
  i:integer;
begin
i:=0;
with pktsBox.Items do
  while i < count do
    begin
    if assigned(objects[i]) then
      objects[i].free;
    inc(i);
    end;
dumpBox.Clear;
pktsBox.clear;
end;

end.

