{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
{$A+,B-,C+,D+,E-,F-,G+,H+,I-,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y+,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00010000}
{$IMAGEBASE $00100000}
{$APPTYPE GUI}
unit mainDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ShellAPI, Grids, ComCtrls, ICQv7,
  WSocket, hook, events, contacts, roasterLib, trayLib, ImgList,
  history, smilesLib, iniLib, codes, Clipbrd, authreqDlg, sendfileDlg,
  CommCtrl, flap, outboxLib, uinlistLib, Buttons, HttpProt, smsDlg, langLib,
  VirtualTrees, ActiveX, strutils, JvButtons, JvComponent, JvCaptionButton,
  JvMenus, Menus, ThemeMgr;

type
  TmainFrm = class(TForm)
    menu: TJvPopupMenu;
    Status1: TMenuItem;
    Offline1: TMenuItem;
    Away1: TMenuItem;
    Occupied1: TMenuItem;
    byUIN1: TMenuItem;
    Whitepages1: TMenuItem;
    Password1: TMenuItem;
    Showlogwindow1: TMenuItem;
    in_visiblelist1: TMenuItem;
    contactMenu: TJvPopupMenu;
    Sendmessage1: TMenuItem;
    Sendcontacts1: TMenuItem;
    Viewinfo1: TMenuItem;
    Delete1: TMenuItem;
    Visiblelist1: TMenuItem;
    Invisiblelist1: TMenuItem;
    Addtocontactlist1: TMenuItem;
    N1: TMenuItem;
    UIN1: TMenuItem;
    N2: TMenuItem;
    divisorMenu: TJvPopupMenu;
    Newgroup1: TMenuItem;
    Rename1: TMenuItem;
    groupMenu: TJvPopupMenu;
    Renamegroup1: TMenuItem;
    Deletegroup1: TMenuItem;
    N4: TMenuItem;
    Contactsdatabase1: TMenuItem;
    Moveallcontactsto1: TMenuItem;
    IP1: TMenuItem;
    tovisiblelist1: TMenuItem;
    toinvisiblelist1: TMenuItem;
    Allcontactsvisibility1: TMenuItem;
    tonormalvisibility1: TMenuItem;
    Showgroups1: TMenuItem;
    Showgroups2: TMenuItem;
    movetogroup1: TMenuItem;
    Viewinfoof1: TMenuItem;
    Lock1: TMenuItem;
    Sendemail1: TMenuItem;
    statusMenu: TJvPopupMenu;
    Online2: TMenuItem;
    Freeforchat2: TMenuItem;
    Occupied2: TMenuItem;
    Dontdisturb2: TMenuItem;
    Away2: TMenuItem;
    NotAvailable2: TMenuItem;
    Offline2: TMenuItem;
    MusicOFF1: TMenuItem;
    Suonerieit1: TMenuItem;
    Gamesnet1: TMenuItem;
    visMenu: TJvPopupMenu;
    all1: TMenuItem;
    allbutinvisiblelist1: TMenuItem;
    onlyvisiblelist1: TMenuItem;
    none1: TMenuItem;
    all2: TMenuItem;
    allbutinvisiblelist2: TMenuItem;
    onlyvisiblelist2: TMenuItem;
    none2: TMenuItem;
    N7: TMenuItem;
    Openallgroups1: TMenuItem;
    Closeallgroups1: TMenuItem;
    Deleteallemptygroups1: TMenuItem;
    N6: TMenuItem;
    Readautomessage1: TMenuItem;
    automessage1split: TMenuItem;
    Automessage1: TMenuItem;
    automessage2split: TMenuItem;
    Showonlyonlinecontacts1: TMenuItem;
    Automessages1: TMenuItem;
    httpClient: THttpCli;
    Checkforupdates1: TMenuItem;
    SendanSMS1: TMenuItem;
    Newgroup2: TMenuItem;
    N3: TMenuItem;
    timer: TTimer;
    Ignorelist1: TMenuItem;
    Openchatwith1: TMenuItem;
    mainmenuimportclb: TMenuItem;
    mainmenuexportclb: TMenuItem;
    N5: TMenuItem;
    RQhomepage1: TMenuItem;
    RQforum1: TMenuItem;
    RQwhatsnew1: TMenuItem;
    roaster: TVirtualDrawTree;
    menushowonlyimvisibleto1: TMenuItem;
    online1: TMenuItem;
    f4c1: TMenuItem;
    dnd1: TMenuItem;
    na1: TMenuItem;
    Automessage2: TMenuItem;
    mainmenusupport1: TMenuItem;
    mainmenuspecial1: TMenuItem;
    mainmenuprivacysecurity1: TMenuItem;
    mainmenuaddcontacts1: TMenuItem;
    mainmenuvisibility1: TMenuItem;
    mainmenumyinfo1: TMenuItem;
    mainmenupreferences1: TMenuItem;
    mainmenuchangeadduser1: TMenuItem;
    mainmenudeleteofflinemsgs1: TMenuItem;
    mainmenugetofflinemsgs1: TMenuItem;
    mainmenuoutbox1: TMenuItem;
    mainmenuabout1: TMenuItem;
    mainmenuhide1: TMenuItem;
    mainmenuexit1: TMenuItem;
    mainmenureloadtheme1: TMenuItem;
    mainmenureloadlang1: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    bar: TPanel;
    menuBtn: TSpeedButton;
    statusBtn: TSpeedButton;
    visibilityBtn: TSpeedButton;
    sbar: TStatusBar;
    menusendaddedyou1: TMenuItem;
    tempvisiblelist1: TMenuItem;
    tempvisiblelist2: TMenuItem;
    procedure Show1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Online1Click(Sender: TObject);
    procedure Offline1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Dontdisturb1Click(Sender: TObject);
    procedure Freeforchat1Click(Sender: TObject);
    procedure Occupied1Click(Sender: TObject);
    procedure NotAvailable1Click(Sender: TObject);
    procedure Away1Click(Sender: TObject);
    procedure password1Click(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action:TCloseAction);
    procedure byUIN1Click(Sender: TObject);
    procedure Whitepages1Click(Sender: TObject);
    procedure Sendmessage1Click(Sender: TObject);
    procedure Hide1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure viewinfo1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Sendcontacts1Click(Sender: TObject);
    procedure in_visiblelist1Click(Sender: TObject);
    procedure Showlogwindow1Click(Sender: TObject);
    procedure Preferences1Click(Sender: TObject);
    procedure Changeoradduser1Click(Sender: TObject);
    procedure Visiblelist1Click(Sender: TObject);
    procedure menuDrawMargin(Sender: TMenu; Rect: TRect);
    procedure invisiblelist1Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Viewmyinfo1Click(Sender: TObject);
    procedure UIN1Click(Sender: TObject);
    procedure Newgroup1Click(Sender: TObject);
    procedure Rename1Click(Sender: TObject);
    procedure Renamegroup1Click(Sender: TObject);
    procedure Opengroup1Click(Sender: TObject);
    procedure Closegroup1Click(Sender: TObject);
    procedure Deletegroup1Click(Sender: TObject);
    procedure Closeallgroups1Click(Sender: TObject);
    procedure Openallgroups1Click(Sender: TObject);
    procedure Contactsdatabase1Click(Sender: TObject);
    procedure Deleteallemptygroups1Click(Sender: TObject);
    procedure movecontactsAction(sender:Tobject);
    procedure displayHint(Sender: TObject);
    procedure IP1Click(Sender: TObject);
    procedure AppActivate(Sender: TObject);
    procedure tovisiblelist1Click(Sender: TObject);
    procedure toinvisiblelist1Click(Sender: TObject);
    procedure tonormalvisibility1Click(Sender: TObject);
    procedure Showgroups1Click(Sender: TObject);
    procedure Showgroups2Click(Sender: TObject);
    procedure sbarMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure Viewinfoof1Click(Sender: TObject);
    procedure Outbox1Click(Sender: TObject);
    procedure Lock1Click(Sender: TObject);
    procedure WMDROPFILES(var Message: TWMDROPFILES);  message WM_DROPFILES;
    procedure Sendemail1Click(Sender: TObject);
    procedure addcontactAction(sender:Tobject);
    procedure sbarDrawPanel(StatusBar: TStatusBar; Panel: TStatusPanel; const r: TRect);
    procedure MusicOFF1Click(Sender: TObject);
    procedure Suonerieit1Click(Sender: TObject);
    procedure Gamesnet1Click(Sender: TObject);
    procedure none1Click(Sender: TObject);
    procedure onlyvisiblelist1Click(Sender: TObject);
    procedure allbutinvisiblelist1Click(Sender: TObject);
    procedure all1Click(Sender: TObject);
    procedure menuBtnClick(Sender: TObject);
    procedure sbarDblClick(Sender: TObject);
    procedure statusMenuPopup(Sender: TObject);
    procedure divisorMenuPopup(Sender: TObject);
    procedure groupMenuPopup(Sender: TObject);
    procedure contactMenuPopup(Sender: TObject);
    procedure Automessage1Click(Sender: TObject);
    procedure menuPopup(Sender: TObject);
    procedure Showonlyonlinecontacts1Click(Sender: TObject);
    procedure statusBtnClick(Sender: TObject);
    procedure visibilityBtnClick(Sender: TObject);
    procedure httpClientRequestDone(Sender: TObject; RqType: THttpRequest; Error: Word);
    procedure httpClientDocData(Sender: TObject; Buffer: Pointer; Len: Integer);
    procedure Checkforupdates1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure SendanSMS1Click(Sender: TObject);
    procedure OnTimer(Sender: TObject);
    procedure Ignorelist1Click(Sender: TObject);
    procedure Openchatwith1Click(Sender: TObject);
    procedure Getofflinemessages1Click(Sender: TObject);
    procedure Deleteofflinemessages1Click(Sender: TObject);
    procedure mainmenuimportclbClick(Sender: TObject);
    procedure mainmenuexportclbClick(Sender: TObject);
    procedure RQhomepage1Click(Sender: TObject);
    procedure RQforum1Click(Sender: TObject);
    procedure RQwhatsnew1Click(Sender: TObject);
    procedure roasterKeyPress(Sender: TObject; var Key: Char);
    procedure roasterMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure roasterDblClick(Sender: TObject);
    procedure roasterKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure roasterCompareNodes(Sender: TBaseVirtualTree; Node1,
      Node2: PVirtualNode; Column: TColumnIndex; var Result: Integer);
    procedure roasterMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure roasterCollapsed(Sender: TBaseVirtualTree;
      Node: PVirtualNode);
    procedure roasterCollapsing(Sender: TBaseVirtualTree;
      Node: PVirtualNode; var Allowed: Boolean);
    procedure roasterDragOver(Sender: TBaseVirtualTree; Source: TObject;
      Shift: TShiftState; State: TDragState; Pt: TPoint; Mode: TDropMode;
      var Effect: Integer; var Accept: Boolean);
    procedure roasterDragDrop(Sender: TBaseVirtualTree; Source: TObject;
      DataObject: IDataObject; Formats: TFormatArray; Shift: TShiftState;
      Pt: TPoint; var Effect: Integer; Mode: TDropMode);
    procedure roasterFocusChanged(Sender: TBaseVirtualTree;
      Node: PVirtualNode; Column: TColumnIndex);
    procedure menushowonlyimvisibleto1Click(Sender: TObject);
    procedure roasterDrawNode(Sender: TBaseVirtualTree;
      const PaintInfo: TVTPaintInfo);
    procedure roasterFocusChanging(Sender: TBaseVirtualTree; OldNode,
      NewNode: PVirtualNode; OldColumn, NewColumn: TColumnIndex;
      var Allowed: Boolean);
    procedure mainmenureloadtheme1Click(Sender: TObject);
    procedure mainmenureloadlang1Click(Sender: TObject);
    procedure menuDrawItem(Sender: TMenu; Item: TMenuItem; R: TRect;
      State: TMenuOwnerDrawState);
    procedure menuMeasureItem(Sender: TMenu; Item: TMenuItem; var Width,
      Height: Integer);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure roasterKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure menusendaddedyou1Click(Sender: TObject);
    procedure tempvisiblelist1Click(Sender: TObject);
    procedure Readautomessage1Click(Sender: TObject);
    procedure roasterMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure roasterGetHintSize(Sender: TBaseVirtualTree;
      Node: PVirtualNode; Column: TColumnIndex; var R: TRect);
    procedure roasterDrawHint(Sender: TBaseVirtualTree;
      HintCanvas: TCanvas; Node: PVirtualNode; R: TRect;
      Column: TColumnIndex);
    procedure minBtnClick(Sender: TObject);
    procedure tempvisiblelist2Click(Sender: TObject);
  public
    clickedOnAcontact:boolean;
    minBtn: TJvCaptionButton;
    procedure splashPaint(Sender: TObject);
    procedure icqEvent(thisICQ:TicqSession; ev:TicqEvent);
    procedure WndProc(var msg:TMessage); override;
    procedure updateCaption;
    function  clickedGroupList:TcontactList;
    procedure addContactsAction(Sender: TObject);
    procedure sendContactsAction(Sender: TObject);
    procedure toggleVisible;
    procedure doAutosize;
    procedure closeAllChildWindows;
    procedure doSearch;
    procedure dnslookup(sender:Tobject; error:word);
    procedure setProgBar(v:double);
    procedure updateStatusGlyphs;
    procedure pwdBoxKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure roasterKeyEditing(Sender: TObject; var Key: Char);
    procedure roasterStopEditing(sender:Tobject);
  end; // TmainFrm

var
  mainFrm : TmainFrm;

implementation

uses
  addContactDlg, wpDlg, chatDlg, importDlg, viewinfoDlg, aboutDlg, selectContactsDlg,
  incapsulate, visibilityDlg, logDlg, prefDlg, usersDlg, changePwdDlg, dbDlg,
  searchhistDlg, outboxDlg, automsgDlg, Types, globalLib, tipDlg,
  pluginLib, utilLib, themesLib;

{$R *.DFM}
{$R WindowsXP.RES}

procedure TmainFrm.FormShow(Sender: TObject);
begin
dockSet;
autosizeDelayed:=TRUE;
end;

procedure TmainFrm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
canClose:=not quitconfirmation or (messageDlg(___('quit?'), mtConfirmation, [mbYes,mbNo],0) = mrYes);
if canclose then quit;
end;

procedure TmainFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin quit end;

procedure TmainFrm.closeAllChildWindows;
var
  i:integer;
  c:Tcomponent;
begin
i:=componentcount-1;
while i >= 0 do
  begin
  c:=components[i];
  if c is Tform then
    with c as Tform do
      if visible then close;
  dec(i);
  end;
end; // closeAllChildWindows

procedure TmainFrm.updateCaption;
begin
caption:=template(roasterTitle, [
  '%nick%', icq.myinfo.nick,
  '%uin%', intToStr(icq.myinfo.uin)
]);
end; // updateCaption

procedure TmainFrm.icqEvent(thisICQ:TicqSession; ev:TicqEvent);
var
  c:Tcontact;
  b:boolean;
  i:integer;
  s:string;
  e:Thevent;
begin
c:=thisICQ.eventContact;
// these icqevents are associated with hevents
if ev in [IE_msg,IE_url,IE_contacts,IE_authReq,IE_addedyou,IE_oncoming, IE_offgoing,IE_auth,IE_authDenied,IE_automsgreq,IE_statuschanged,IE_gcard,IE_ack,IE_email,IE_webpager,IE_fromMirabilis] then
  begin
  e:=Thevent.new(EK_null, c, thisICQ.eventTime, '', thisICQ.eventFlags);
  e.otherpeer:=c;
  if ev in [IE_contacts] then
    begin
    e.cl:=thisICQ.eventContacts.clone;
    e.cl.remove(thisICQ.myInfo);
    e.cl.remove(c);
    end;
  if ev in [IE_msg,IE_url,IE_authreq] then e.setInfo(thisICQ.eventMsg);
  if ev=IE_ack then e.setInfo(char(thisICQ.eventAccept)+thisICQ.eventMsg);
  end
else
  e:=NIL;
case ev of
	IE_serverAck:
  	begin
    i:=acks.findID(thisICQ.eventMsgID);
    if i >= 0 then  // exploit only for automsgreq
    	begin
	    c:=contactsDB.get(acks.getAt(i).uin);
    	if c.status in [SC_OFFLINE,SC_UNK] then
      	begin
	      if not thisICQ.imVisibleTo(c) then addTempVisibleFor(5, c);
      	msgDlg(___('actually online',[c.uin,c.displayed]), mtInformation);
        end;
      end;
    end;
  IE_msgError:
  	begin
    i:=acks.findID(thisICQ.eventMsgID);
    if i>=0 then
    	with acks.getAt(i) do
        if kind = OE_AUTOMSGREQ then
        	begin
          c:=contactsDB.get(uin);
          if c.status in [SC_OFFLINE,SC_UNK] then
          	if thisICQ.eventInt=9 then
            	begin
				      if not ICQ.imVisibleTo(c) then
				      	addTempVisibleFor(5, c);
			      	msgDlg(___('actually online',[c.uin,c.displayed]), mtInformation);
              end
            else
	          	msgDlg(___('actually offline',[c.uin,c.displayed]), mtInformation)
          else
			      if not ICQ.imVisibleTo(c) then
            	addTempVisibleFor(5, c);
          acks.Delete(i);
          end;
    end;
  IE_sendingAutomsg:
    begin
    thisICQ.eventMsg:=getAutomsgFor(c);
    plugins.castEv( PE_AUTOMSG_SENT, c.uin, thisICQ.eventMsg);
    end;
  IE_endOfOfflineMsgs:
    begin
    if delOfflineMsgs then
      begin
      ICQ.sendDeleteOfflineMsgs;
      offlineMsgsChecked:=TRUE;
      end;
    disableSounds:=FALSE;
    saveInboxDelayed:=TRUE;
    end;
  IE_filereq: thisICQ.sendFileOK(thisICQ.eventMsgID, c);
  IE_fileok:
    begin
    thisICQ.sendFileAck(thisICQ.eventMsgID);
    findSendfile(thisICQ.eventMsgID).close;
    utilLib.sendfile(thisICQ.eventContact, thisICQ.eventFilename);
    end;
  IE_fileack: receiveFile(thisICQ.eventDirect);
  IE_automsgreq:
    if not isAbort(plugins.castEv( PE_AUTOMSG_REQ_GOT, c.uin)) then
    	begin
    	if warnVisibilityExploit and not thisICQ.imVisibleTo(c) then
      	msgDlg(___('visibility exploit warning',[c.uin,c.displayed]), mtWarning);
      behave(e, EK_automsgreq);
      end;
  IE_ack:
    begin
    i:=acks.findID(thisICQ.eventInt);
    if i >= 0 then
      begin
      s:=thisICQ.eventMsg;
      if acks.getAt(i).kind = OE_AUTOMSGREQ then
        begin
        if thisICQ.eventAccept <> AC_ok then
          TCE(c.data^).lastAccept:=thisICQ.eventAccept;
        TCE(c.data^).lastAutoMsg:=s;
        plugins.castEv( PE_AUTOMSG_GOT, c.uin, s);
        behave(e, EK_automsg);
        end
      else
        begin
        b:=(TCE(c.data^).lastAccept<>thisICQ.eventAccept) or (TCE(c.data^).lastAutoMsg<>s);
        case thisICQ.eventAccept of
          AC_away:
            if b then
              begin
              plugins.castEv( PE_AUTOMSG_GOT, c.uin, s);
              behave(e, EK_automsg);
              end;
          AC_denied:
            begin
            if messageDlg(___('send urgent?',[s]), mtConfirmation, [mbYes,mbNo], 0) = mrYes then
              begin
              with acks.getAt(i) do flags:=flags or IF_urgent;
              sendICQmsg(acks.getAt(i));
              end;
            end;
          end;
        TCE(c.data^).lastPriority:=acks.getAt(i).flags and (IF_urgent+IF_noblink);
        TCE(c.data^).lastAutoMsg:=thisICQ.eventMsg;
        TCE(c.data^).lastAccept:=thisICQ.eventAccept;
        end;
      acks.delete(i);
      end;
    end;
  IE_pause: msgDlg(___('icqpause'), mtWarning);
  IE_pwdChanged:
    begin
    saveCFG;
    msgDlg(___('pwd changed'), mtInformation);
    end;
  IE_myinfoACK: msgDlg(___('info saved'),mtInformation);
  IE_wpEnd:
    if (wpFrm<>NIL) then
      begin
      wpFrm.stopSearch;
      if thisICQ.eventInt > 0 then
        msgDlg(___('end wp incomplete', [thisICQ.eventInt]),mtInformation);
      end;
  IE_fileDenied: msgDlg(___('ft denied'),mtWarning);
  IE_wpResult: if (wpFrm<>NIL) then wpFrm.addResult(thisICQ.eventWP);
  IE_dcConnected: loggaPkt(WL_connected, thisICQ.eventDirect.host);
  IE_dcDisconnected: loggaPkt(WL_disconnected, thisICQ.eventDirect.host);
  IE_dcSent: loggaPkt(WL_meSent,thisICQ.eventData);
  IE_dcGot: loggaPkt(WL_heSent,thisICQ.eventData);
  IE_serverSent: loggaPkt(WL_serverSent,thisICQ.eventData);
  IE_serverGot: loggaPkt(WL_serverGot,thisICQ.eventData);
  IE_serverConnected: loggaPkt(WL_connected, thisICQ.eventAddress);
  IE_serverDisconnected: loggaPkt(WL_disconnected, thisICQ.eventAddress);
  IE_connecting:
    begin
    disableSounds:=FALSE;
    setProgBar(1/progLogonTotal);
    proxySettings(thisICQ.sock);
    end;
  IE_connected: setProgBar(2/progLogonTotal);
  IE_loggin: setProgBar(3/progLogonTotal);
  IE_redirecting:
    begin
    setProgBar(4/progLogonTotal);
    proxySettings(thisICQ.sock);
    end;
  IE_redirected: setProgBar(5/progLogonTotal);
  IE_almostonline: setProgBar(6/progLogonTotal);
  IE_visibilityChanged:
    if assigned(c) then
      begin
      plugins.castEv( PE_VISIBILITY_CHANGED, c.uin);
      roasterLib.redraw(c)
      end
    else
      begin
      plugins.castEv( PE_VISIBILITY_CHANGED, 0);
      roasterRepaintDelayed:=TRUE;
      end;
  IE_error:
    if thisICQ.eventError = EC_badContact then
      loggaEvt(format('ERROR: bad contact: %d',[thisICQ.eventContact.uin]))
    else
      begin
      setProgBar(0);
      playSound(theme.sounds.onError);
      if thisICQ.eventError in [
        EC_badUIN,
        EC_badPwd,
        EC_proxy_badPwd,
        EC_anotherLogin,
        EC_invalidFlap,
        EC_rateExceeded,
        EC_missingLogin
      ] then
        stayConnected:=FALSE;
      if thisICQ.eventError = EC_missingLogin then
        if enterICQpwd then doConnect
        else
      else
        if showDisconnectedDlg or not (thisICQ.eventError in [
          EC_rateExceeded,
          EC_cantConnect,
          EC_socket,
          EC_serverDisconnected,
          EC_loginDelay,
          EC_invalidFlap
        ]) then
          if thisICQ.eventError = EC_proxy_unk then
            msgDlg(___('icqerror '+icqerror2str[thisICQ.eventError], [thisICQ.eventMsg]), mtError)
          else
            msgDlg(___('icqerror '+icqerror2str[thisICQ.eventError], [thisICQ.eventInt]), mtError);
      if thisICQ.eventError = EC_badPwd then
        if enterICQpwd then
        	begin
          ICQ.disconnect();
          doConnect();
          end;
      end;
  IE_statuschanged:
    begin
    plugins.castEv( PE_STATUS_CHANGED, c.uin, c.status, thisICQ.eventOldStatus, c.invisible, thisICQ.eventOldInvisible);
    updateViewInfo(c);
    if thisICQ.myinfo.equals(c) then
      begin
      status:=c.status;
      if status <> SC_OFFLINE then
        lastStatus:=status;
      updateStatusGlyphs;
      end
    else
      if ICQ.readroaster.exists(c) then
        begin
        roasterLib.redraw(c);
        chatFrm.userChanged(c);
        e.info:=int2str(integer(c.status))+char(c.invisible);
        if oncomingOnAway
        and (thisICQ.eventOldStatus in [SC_AWAY,SC_NA])
        and not (c.status in [SC_AWAY,SC_NA])
        and (noOncomingCounter = 0) then
          behave(e, EK_oncoming)
        else
          behave(e, EK_statuschange);
        end;
    end;
  IE_online,
  IE_offline:
    begin
    outboxCount:=-1;
    keepalive.timer:=keepalive.freq*2;
    status:=ICQ.getStatus;
    setProgBar(0);
    if ev=IE_online then
      begin
      offlineMsgsChecked:=FALSE;
      outboxCount:=timeBetweenMsgs;
      stayconnected:=autoreconnect;
      plugins.castEv(PE_CONNECTED);
      if getOfflineMsgs then
        ICQ.sendReqOfflineMsgs
      else
        if delOfflineMsgs then
          begin
          offlineMsgsChecked:=TRUE;
          ICQ.sendDeleteOfflineMsgs;
          end;
      end
    else
      begin
      inc(saveDBtimer, saveDBdelay);
      plugins.castEv(PE_DISCONNECTED);
      end;
    noOncomingCounter:=150;
    with chatFrm do
      if thisChat <> NIL then
        userChanged(thisChat.who);
    chatFrm.pageCtrl.repaint;
    updateStatusGlyphs;
    roasterLib.rebuild;
    end;
  IE_numOfContactsChanged: contactsPnl.text:=intToStr(thisICQ.readroaster.count);
  IE_userinfo: 
    begin
    plugins.castEv( PE_USERINFO_CHANGED, c.uin );
    updateViewInfo(c);
    if thisICQ.myinfo.equals(c) then
      updateCaption
    else
      roasterLib.redraw(c);
    if tipfrm.contact=c then
      tipfrm.repaint;
    chatFrm.userChanged(c);
    dbUpdateDelayed:=TRUE;
    end;
  IE_oncoming:
    begin
    plugins.castEv( PE_STATUS_CHANGED, c.uin, c.status, thisICQ.eventOldStatus, c.invisible, FALSE );
    chatFrm.userChanged(c);
    roasterLib.update(c);
    TCE(c.data^).lastOncoming:=thisICQ.eventTime;
    updateViewInfo(c);
    e.info:=int2str(integer(c.status))+char(c.invisible);
    if noOncomingCounter = 0 then
      behave(e, EK_oncoming)
    else
      if noOncomingCounter < 50 then
        begin
        inc(noOncomingCounter,10);
        boundInt(noOncomingCounter, 0,50);
        end;
    autosizeDelayed:=TRUE;
    end;
  IE_offgoing:
    begin
    plugins.castEv( PE_STATUS_CHANGED, c.uin, c.status, thisICQ.eventOldStatus, FALSE, thisICQ.eventOldInvisible );
    if roasterLib.focusedContact=c then
      roasterLib.focusPrevious;
    roasterLib.update(c);
    chatFrm.userChanged(c);
    updateViewInfo(c);
    behave(e, EK_offgoing);
    autosizeDelayed:=TRUE;
    end;
  IE_contacts:
    if not e.cl.empty
    and not isAbort(plugins.castEv( PE_CONTACTS_GOT,c.uin,e.flags,e.when,e.cl ))
    and behave(e, EK_contacts, e.cl.tostring) then
      NILifNIL(c);
  IE_authReq:
    if not isAbort(plugins.castEv( PE_AUTHREQ_GOT, c.uin, e.flags, e.when, thisICQ.eventMsg ))
    and behave(e, EK_authReq) then
      begin
      chatFrm.userChanged(c);
      NILifNIL(c);
      end;
  IE_addedYou:
    if not isAbort(plugins.castEv( PE_ADDEDYOU_GOT, c.uin, e.flags, e.when ))
    and behave(e, EK_addedyou) then
      begin
      chatFrm.userChanged(c);
      NILifNIL(c);
      end;
  IE_url:
    if not isAbort(plugins.castEv( PE_URL_GOT, c.uin, e.flags, e.when, thisICQ.eventAddress, thisICQ.eventMsg ))
    and behave(e, EK_url, thisICQ.eventAddress+#10+thisICQ.eventMsg) then
      NILifNIL(c);
  IE_msg:
    if not isAbort(plugins.castEv( PE_MSG_GOT, c.uin, e.flags, e.when, thisICQ.eventMsg ))
    and behave(e, EK_msg) then
      NILifNIL(c);
  IE_gcard:
    if not isAbort(plugins.castEv( PE_GCARD_GOT, c.uin, e.flags, e.when, thisICQ.eventAddress ))
    and behave(e, EK_gcard, thisICQ.eventAddress) then
      NILifNIL(c);
  IE_email:
    if not filterRefuse(NIL,thisICQ.eventMsg,IF_PAGER) and not isAbort(plugins.castEv( PE_EMAILEXP_GOT, e.when, thisICQ.eventName, thisICQ.eventAddress, thisICQ.eventMsg )) then
      msgDlg('___EMAIL EXPRESS___'+
         #13+thisICQ.eventName+' ('+thisICQ.eventAddress+')'+
         #13+thisICQ.eventMsg,mtInformation);
  IE_webpager:
    if not filterRefuse(NIL,thisICQ.eventMsg,IF_PAGER) and not isAbort(plugins.castEv( PE_WEBPAGER_GOT, e.when, thisICQ.eventName, thisICQ.eventAddress, thisICQ.eventMsg )) then
      msgDlg('___WEB PAGER___'+
         #13+thisICQ.eventName+' ('+thisICQ.eventAddress+')'+
         #13+thisICQ.eventMsg,mtInformation);
  IE_fromMirabilis:
    if not filterRefuse(NIL,thisICQ.eventMsg) and not isAbort(plugins.castEv( PE_FROM_MIRABILIS, e.when, thisICQ.eventName, thisICQ.eventAddress, thisICQ.eventMsg )) then
      msgDlg('___FROM MIRABILIS___'+
         #13+thisICQ.eventName+' ('+thisICQ.eventAddress+')'+
         #13+thisICQ.eventMsg,mtInformation);
  end;
if thisICQ.eventFlags and IF_offline > 0 then
  if ev in [IE_msg,IE_url,IE_addedYou,IE_authReq,IE_contacts] then
  // we already played a sound for the first offline message, let's make no other sound
    disableSounds:=TRUE;
e.free;
statusIcon.update;
end; // icqEvent

procedure TmainFrm.toggleVisible;
var
  timeout:integer;
begin
if formVisible(self) and (windowstate<>wsMinimized) then
  begin
  if minimizeRoaster then
    begin
    { tipfrm is hided anyway, but if we don't do it manually it will reapper
    { just as the roaster repops up }
    tipfrm.hide();
    WindowState:=wsMinimized;
    end;
  { sometimes form is not hided after minimization, maybe it is a matter of
  { timeouts. this loop could fix the problem }
  timeout:=0;
    repeat
    if timeout > 0 then sleep(10);
    hide;
    inc(timeout);
    until not formVisible(self) or (timeout=100);
  mainmenuhide1.caption:=___('main menu show');
  end
else
  begin
  if windowstate=wsMinimized then windowstate:=wsNormal;
  show;
  bringForeground:=handle;
  mainmenuhide1.caption:=___('main menu hide');
  end;
end; // toggleVisible

procedure TmainFrm.Show1Click(Sender: TObject);
begin toggleVisible end;

procedure TmainFrm.Exit1Click(Sender: TObject);
begin close end; 

procedure TmainFrm.Online1Click(Sender: TObject);        begin usersetStatus(SC_ONLINE) end;
procedure TmainFrm.Offline1Click(Sender: TObject);       begin usersetStatus(SC_OFFLINE) end;
procedure TmainFrm.Dontdisturb1Click(Sender: TObject);   begin usersetStatus(SC_DND) end;
procedure TmainFrm.Occupied1Click(Sender: TObject);      begin usersetStatus(SC_OCCUPIED) end;
procedure TmainFrm.NotAvailable1Click(Sender: TObject);  begin usersetStatus(SC_NA) end;
procedure TmainFrm.Away1Click(Sender: TObject);          begin usersetStatus(SC_AWAY) end;
procedure TmainFrm.Freeforchat1Click(Sender: TObject);   begin usersetStatus(SC_F4C) end;

procedure TmainFrm.password1Click(Sender: TObject);
begin
if ICQ.isOnline then
  changePwdFrm.showModal
else
  enterICQpwd;
end;

procedure TmainFrm.Delete1Click(Sender: TObject);
begin
if assigned(clickedContact) then
  if messageDlg(___('delcontact', [clickedContact.displayed]),mtConfirmation, [mbYes,mbNo], 0) = mrYes then
    removeFromRoaster(clickedContact);
end; // delete1click

procedure TmainFrm.byUIN1Click(Sender: TObject);
begin showForm(addContactFrm) end;

procedure TmainFrm.Whitepages1Click(Sender: TObject);
begin showForm(WF_WP) end;

procedure TmainFrm.Sendmessage1Click(Sender: TObject);
begin chatFrm.openOn(clickedContact) end;

procedure TmainFrm.addContactsAction(Sender: TObject);
var
  wnd:TselectContactsFrm;
  cl:TcontactList;
begin
wnd:=(sender as Tcontrol).parent as TselectContactsFrm;
cl:=wnd.selectedList;
cl.resetEnumeration;
while cl.hasMore do
  addToRoaster(cl.getNext);
cl.free;
wnd.close;
end; // addContactsAction

procedure TmainFrm.Hide1Click(Sender: TObject);
begin toggleVisible end;

procedure TmainFrm.FormResize(Sender: TObject);
begin
//exit;
roundWindow(self);
if roasterbarOnTop then bar.align:=alTop
else bar.align:=alBottom;
menuBtn.left:=0;
statusBtn.left:=menuBtn.boundsrect.right+1;
visibilityBtn.left:=statusBtn.boundsrect.right+1;
sbar.left:=visibilityBtn.BoundsRect.right+1;
sbar.width:=clientWidth-visibilityBtn.BoundsRect.right-ifThen(roundedWindows,4,1);
sbar.top:=0;
sbar.Height:=bar.ClientHeight;
roasterLib.formresized;
autosizeDelayed:=TRUE;
end;

procedure TmainFrm.viewinfo1Click(Sender: TObject);
begin viewInfoabout(ClickedContact) end;

procedure TmainFrm.About1Click(Sender: TObject);
begin aboutFrm.view end;

procedure TmainFrm.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);

  function its(sc:Tshortcut):boolean;
  var
    k:word;
    s:TshiftState;
  begin
  ShortCutToKey(sc, k,s);
  result:=(k=key) and (s=shift);
  end; // its

var
  i:integer;
begin
if (shift = [ssAlt]) and (key = VK_F4) then
  close;
for i:=0 to length(macros)-1 do
  if not macros[i].sw and its(macros[i].hk) then
    executeMacro(macros[i].opcode);
end; // formkeydown

procedure TmainFrm.Sendcontacts1Click(Sender: TObject);
begin openSendContacts(clickedContact) end;

procedure TmainFrm.sendContactsAction(sender:Tobject);
var
  i:integer;
  wnd:TselectContactsFrm;
  cl:TcontactList;
begin
wnd:=(sender as Tcontrol).parent as TselectContactsFrm;
cl:=wnd.selectedList;
if not cl.empty then
  begin
  i:=(wnd.extra as Tincapsulate).int;
  if ICQ.isOnline then
    sendICQcontacts(i,0,cl)
  else
    begin
    outbox.add(OE_CONTACTS, i, 0, cl);
    outboxFrm.updateList;
    end;
  end;
cl.free;
wnd.extra.free;
wnd.close;
end;

procedure TmainFrm.in_visiblelist1Click(Sender: TObject);
begin showForm(visibilityFrm) end;

procedure TmainFrm.Showlogwindow1Click(Sender: TObject);
begin showForm(logFrm) end;

procedure TmainFrm.Preferences1Click(Sender: TObject);
begin showForm(WF_PREF) end;

procedure TmainFrm.Changeoradduser1Click(Sender: TObject);
begin
uin2Bstarted:=showUsers;
if uin2Bstarted = 0 then exit;
if not ICQ.isOffline then
  begin
  if messageDlg(___('gonna disconnect'),mtConfirmation,[mbYes,mbNo],0) <> mrYes then
    exit;
  icq.disconnect;
  end;

 try
  hideForm(mainFrm);
  quitUser;
  startUser;
  // during resetCFG the form enters a weird state, this should fix
  ShowWindow(handle,SW_HIDE);
 finally
  if startMinimized = formvisible(mainfrm) then
    // temporary fix: showing the form with no delay sometimes causes an AV
  	showRoasterTimer:=10;
 end;
end; // change or add user

procedure TmainFrm.Visiblelist1Click(Sender: TObject);
begin
if visibleList.exists(clickedContact) then
  visibleList.remove(clickedContact)
else
  begin
  invisibleList.remove(clickedContact);
  visibleList.add(clickedContact);
  end;
updateICQvisibility;
saveListsDelayed:=TRUE;
roasterLib.redraw(clickedContact);
end;

procedure TmainFrm.invisiblelist1Click(Sender: TObject);
begin
if invisibleList.exists(clickedContact) then
  invisibleList.remove(clickedContact)
else
  begin
  visibleList.remove(clickedContact);
  invisibleList.add(clickedContact);
  end;
updateICQvisibility;
saveListsDelayed:=TRUE;
roasterLib.redraw(clickedContact);
end;

procedure TmainFrm.tempvisiblelist1Click(Sender: TObject);
begin
if ICQ.readTemporaryVisible.exists(clickedContact) then
  ICQ.removeTemporaryVisible(clickedContact)
else
  ICQ.addTemporaryVisible(clickedContact);
roasterLib.redraw(clickedContact);
end;

procedure TmainFrm.doAutosize;
var
  y,limit:integer;
begin
if not autoSizeRoaster or docking.active or not formVisible(self) then exit;
if autosizeFullRoaster then y:=roasterLib.fullMaxY
else y:=roasterLib.onlineMaxY;
if y > 20 then
  begin
  inc(y,4);
  if bar.Visible then inc(y, sbar.height);
  limit:=desktopWorkArea.Bottom-mainfrm.clientToScreen(point(0,0)).y;
  if y > limit then y:=limit;
  clientheight:=y;
  end;
end; // doAutosize

function drawmenuitem(cnv:Tcanvas; menu:Tmenu; item:Tmenuitem; r:Trect; onlysize:boolean=FALSE):Tpoint;
var
  x,i:integer;
  pic:Tbitmap;
  s:string;
  itemfocused:boolean;

  procedure embossedCenteredLine(x1,x2:integer);
  var
    y:integer;
  begin
  y:=(R.Top+R.bottom) div 2;
  cnv.Pen.color:=clBtnShadow;
  cnv.MoveTo(x1,y);
  cnv.lineTo(x2,y);
  inc(y);
  cnv.Pen.color:=clBtnHighlight;
  cnv.MoveTo(x1,y);
  cnv.lineTo(x2,y);
  end; // embossedCenteredLine

begin
itemfocused:=cnv.brush.color = clHighlight;
s:=item.caption;
result.x:=0;
result.y:=0;
if s='-' then
  begin
  if not onlysize then embossedCenteredLine(R.left,R.right);
  s:=item.hint;
  if s='' then exit;
  if onlysize then i:=DT_CALCRECT else i:=0;
  cnv.font.height:=R.top-R.bottom;
  cnv.font.color:=clBtnShadow;
  drawText(cnv.handle, PChar(s), -1, R, i or DT_SINGLELINE or DT_VCENTER or DT_CENTER);
  exit;
  end;
if item.tag=3010 then
  with cnv.font do
    begin
    style:=style+[fsBold];
    Size:=Size+3;
    end;
if onlysize then
  x:=0
else
  x:=R.Left;
pic:=NIL;
if not item.Bitmap.empty then
  pic:=item.bitmap
else
  begin
  i:=0;
  case item.tag of
    1000..1999:i:=PIC_CLOSE_GROUP;
    2000:i:=PIC_OUT_OF_GROUPS;
    3000:if visibleList.exists(clickedContact) then i:=PIC_RIGHT;
    3001:if invisibleList.exists(clickedContact) then i:=PIC_RIGHT;
    3002:if formVisible(mainfrm) then i:=PIC_MINIMIZE else i:=PIC_RESTORE;
    3003:if showGroups then i:=PIC_RIGHT;
    3004:i:=statusImgIdx;
    3005:i:=visibilityImgIdx;
    3006:if showOnlyOnline then i:=PIC_RIGHT;
    3007:if ignoreList.exists(clickedContact) then i:=PIC_RIGHT;
    3008:if showOnlyImvisibleto then i:=PIC_RIGHT;
    3009:if ICQ.readTemporaryVisible.exists(clickedContact) then i:=PIC_RIGHT;
    3011:if showLSB then i:=PIC_RIGHT;
    3012:if popupLSB then i:=PIC_RIGHT;
    4000..4999: pic:=theme.smiles.pics[item.tag-4000];
    else i:=abs(item.tag);
    end;
  if i>0 then pic:=getPic(i);
  end;
if pic<>NIL then
  begin
  inc(x,2);
  if not onlysize then
    begin
    i:=(r.top+r.bottom-pic.height) div 2;
    drawPic(cnv, x,i,pic);
    end;
  inc(x, pic.width);
  end;
inc(x,2);
R.left:=x;
if onlysize then i:=DT_CALCRECT else i:=0;
SetBkMode(cnv.handle, TRANSPARENT);
inc(i, DT_SINGLELINE+DT_VCENTER+DT_LEFT);
if not item.enabled then
  begin
  if not itemfocused then
    begin
    cnv.Font.Color := clBtnHighlight;
    OffsetRect(R, 1, 1);
    DrawText(cnv.Handle, pchar(s), -1, R, i);
    OffsetRect(R, -1, -1);
    end;
  cnv.font.color:=clBtnShadow;
  end;
drawText(cnv.handle, PChar(s), -1, R, i);
inc(x, R.right);
result.x:=x;
result.y:=txtSize(cnv.handle, s).cy;
if pic=NIL then i:=0 else i:=pic.height+2;
if result.y<i then result.y:=i;
end; // drawmenuitem

procedure TmainFrm.menuDrawItem(Sender: TMenu; Item: TMenuItem; R: TRect; State: TMenuOwnerDrawState);
begin drawmenuitem(Tjvpopupmenu(sender).Canvas, sender, item, r) end;

procedure TmainFrm.menuMeasureItem(Sender: TMenu; Item: TMenuItem; var Width, Height: Integer);
var
  p:Tpoint;
begin
p:=drawmenuitem(Tjvpopupmenu(sender).Canvas, sender, item, rect(0,0,width,height), TRUE);
width:=p.x;
inc(height,2);
if height<p.y then height:=p.y;
end;

procedure TmainFrm.menuDrawMargin(Sender: TMenu; Rect: TRect);
begin
with sender as Tjvpopupmenu do
  if tag=1 then
    drawPic(canvas,0,0,PIC_MENUBAR)
  else
    DefaultDrawMargin(Rect, theme.menu.color1, theme.menu.color2 );
end;

procedure TmainFrm.Viewmyinfo1Click(Sender: TObject);
begin viewInfoabout(ICQ.myinfo) end;

procedure TmainFrm.UIN1Click(Sender: TObject);
begin clipboard.asText:=intTOstr(clickedContact.uin) end;

procedure TmainFrm.AppActivate(Sender: TObject);
begin
inactiveTime:=0;
if formVisible(tipFrm) then setTopMost(tipFrm, TRUE);
applyTransparency;
end;

procedure TmainFrm.Newgroup1Click(Sender: TObject);
begin roasterLib.addGroup(___('new group')) end;

procedure TmainFrm.Rename1Click(Sender: TObject);
begin
if not childParent(getFocus, mainfrm.handle) then
  roasterlib.focus(chatFrm.thisChat.who);
roasterlib.edit(roasterlib.focused)
end;

procedure TmainFrm.Renamegroup1Click(Sender: TObject);
begin roasterlib.edit(roasterlib.focused) end;

procedure TmainFrm.Opengroup1Click(Sender: TObject);
begin roasterlib.expand(roasterlib.focused) end;

procedure TmainFrm.Closegroup1Click(Sender: TObject);
begin roasterlib.collapse(roasterlib.focused) end;

procedure TmainFrm.Deletegroup1Click(Sender: TObject);
var
  id:integer;
begin
if roasterlib.focused=NIL then exit;
id:=roasterlib.focused.groupId;
with groups.a[groups.idxOf(id)] do
  if messageDlg(___('delete group?',[name]), mtConfirmation, [mbYes,mbNo], 0) = mrYes then
    begin
    if icq.readroaster.count(id) > 0 then
      if messageDlg(___('delete not empty group?',[name]),mtWarning, [mbYes,mbNo], 0) = mrNo then
        exit;
    // place over the first instance of the group that contains a contact
    roasterLib.removeGroup(id);
    end;
end; // delete group

procedure TmainFrm.Closeallgroups1Click(Sender: TObject);
var
  i:integer;
  d:Tdivisor;
begin
for i:=0 to groups.count-1 do
  with groups.a[i] do
    if clickedNode.kind = NODE_DIV then
      roasterLib.collapse(node[clickedNode.divisor])
    else
      for d:=low(Tdivisor) to high(Tdivisor) do
        roasterLib.collapse(node[d]);
end; // close all groups

procedure TmainFrm.Openallgroups1Click(Sender: TObject);
var
  i:integer;
  d:Tdivisor;
begin
for i:=0 to groups.count-1 do
  with groups.a[i] do
    if clickedNode.kind = NODE_DIV then
      roasterLib.expand(node[clickedNode.divisor])
    else
      for d:=low(Tdivisor) to high(Tdivisor) do
        roasterLib.expand(node[d]);
end; // open all groups

procedure TmainFrm.Contactsdatabase1Click(Sender: TObject);
begin showForm(dbFrm) end;

procedure TmainFrm.Deleteallemptygroups1Click(Sender: TObject);
var
  i,id:integer;
begin
for i:=0 to groups.count-1 do
  begin
  id:=groups.a[i].id;
  if icq.readroaster.count(id) = 0 then
    roasterLib.removeGroup(id);
  end;
end;

procedure TmainFrm.movecontactsAction(sender:Tobject);
var
  oldID,newID:integer;
  c:Tcontact;
begin
if roasterlib.focused=NIL then exit;
with roasterlib.focused do
  if kind = NODE_GROUP then
    oldID:=groupID
  else
    exit;
newID:=(sender as Tmenuitem).tag;
if newID = 2000 then newID:=0; // 2000 means no group
roaster.hide;
try
  with ICQ.readRoaster do
    begin
    resetEnumeration;
    while hasMore do
      begin
      c:=getNext;
      if c.group=oldID then setNewGroupFor(c, newID);
      end;
    end;
finally
  roaster.show;
end;
end; // move contacts action

procedure TmainFrm.addcontactAction(sender:Tobject);
begin addToRoaster(clickedContact, (sender as Tmenuitem).tag) end;

procedure TmainFrm.IP1Click(Sender: TObject);
begin clipboard.asText:=ip2str(clickedContact.ip) end;

procedure TmainFrm.doSearch;

  function twiceOrMore(s:string):boolean;
  var
    i:integer;
  begin
  result:=TRUE;
  if length(s) < 2 then
    result:=FALSE
  else
    for i:=1 to length(s) do
      if s[i]<>s[1] then
        begin
        result:=FALSE;
        exit;
        end;
  end; // twiceOrMore

var
  i, cnt, maxcnt :integer;
  node, found :Tnode;
  s :string;
begin
if twiceOrMore(searching) then
  begin
  // search for next one
  node:=roasterLib.focused;
  repeat node:=getNode(roaster.GetNextVisible(node.treenode));
  until (node=NIL) or (node.kind=NODE_CONTACT) and AnsiStartsText(searching[1], node.contact.displayed);
  // found, exit
  if node<>NIL then
    begin
    roasterLib.focusTemp(node);
    exit;
    end;
  // not found, restart from top
  node:=getNode(roaster.GetFirst);
  repeat node:=getNode(roaster.GetNextVisible(node.treenode));
  until (node=NIL) or (node.kind=NODE_CONTACT) and AnsiStartsText(searching[1], node.contact.displayed);
  // found
  if node<>NIL then
    roasterLib.focusTemp(node);
  exit;
  end;
// cnt is how many chars of the the current node matches the search
// maxcnt is the highest valor reached by cnt 
found:=NIL;
maxcnt:=0;
i:=0;
while i < roasterLib.contactsPool.count do
  begin
  node:=Tnode(roasterLib.contactsPool[i]);
  s:=uppercase(node.contact.displayed);
  cnt:=0;
  while (cnt<length(s)) and (cnt<length(searching)) and (s[cnt+1]=upcase(searching[cnt+1])) do
    inc(cnt);
  if (cnt > maxcnt) or (cnt = maxcnt) and (found<>NIL) and (found.treenode.index > node.treenode.index) then
    begin
    maxcnt:=cnt;
    found:=node;
    end;
  if s=searching then break;
  inc(i);
  end;
if found<>NIL then
  roasterLib.focusTemp(found);
end; // doSearch

function TmainFrm.clickedGroupList:TcontactList;
var
  c:Tcontact;
begin
result:=TcontactList.create;
with ICQ.readRoaster do
  begin
  resetEnumeration;
  while hasMore do
    begin
    c:=getNext;
    if c.group = clickedGroup then
      result.add(c);
    end;
  end;
end; // clickedGroupList

procedure TmainFrm.tovisiblelist1Click(Sender: TObject);
var
  cl:TcontactList;
begin
cl:=clickedGroupList;
visibleList.add(cl);
invisibleList.remove(cl);
updateICQvisibility;
cl.free;
saveListsDelayed:=TRUE;
end; // group to visible

procedure TmainFrm.tempvisiblelist2Click(Sender: TObject);
var
  cl:TcontactList;
begin
cl:=clickedGroupList;
ICQ.addTemporaryVisible(cl);
//roasterLib.redraw(clickedContact);
end;

procedure TmainFrm.toinvisiblelist1Click(Sender: TObject);
var
  cl:TcontactList;
begin
cl:=clickedGroupList;
invisibleList.add(cl);
visibleList.remove(cl);
updateICQvisibility;
cl.free;
saveListsDelayed:=TRUE;
end; // group to invisible

procedure TmainFrm.tonormalvisibility1Click(Sender: TObject);
var
  cl:TcontactList;
begin
cl:=clickedGroupList;
visibleList.remove(cl);
invisibleList.remove(cl);
updateICQvisibility;
cl.free;
saveListsDelayed:=TRUE;
end; // group to normal

procedure TmainFrm.Showgroups1Click(Sender: TObject);
begin toggleShowGroups end;

procedure TmainFrm.Showgroups2Click(Sender: TObject);
begin toggleShowGroups end;

procedure TmainFrm.sbarMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
if button = mbLeft then
  if into(point(x,y), outboxSbarRect) then
    outboxfrm.open;
if button = mbRight then
  with boundsrect do menu.Popup(left,bottom)
end;

procedure TmainFrm.Viewinfoof1Click(Sender: TObject);
var
  uin:integer;
begin
if enterUinDlg(uin, ___('view info title')) then
  viewInfoabout(contactsDB.get(uin));
end;

procedure TmainFrm.Outbox1Click(Sender: TObject);
begin outboxfrm.open end;

procedure TmainFrm.Lock1Click(Sender: TObject);
begin doLock end;

procedure Tmainfrm.WMDROPFILES(var Message: TWMDROPFILES);
var
  node:Tnode;
  n:integer;
  ss:string;
  buffer:array[0..2000] of char;
begin
with roaster.ScreenToClient(mousePos) do node:=roasterLib.nodeAt(x,y);
if (node=NIL) or (node.kind<>NODE_CONTACT) then exit;
if node.contact.status in [SC_OFFLINE,SC_UNK] then exit;
ss:='';
n:=DragQueryFile(Message.Drop,cardinal(-1),NIL,0);
for n:=0 to n-1 do
  begin
  DragQueryFile(Message.Drop,n,@buffer,sizeof(buffer));
  ss:=ss+buffer+CRLF;
  end;
DragFinish(message.drop);
TsendFileFrm.doAll(self, node.contact, ss);
ss:='';
end; // WMDROPFILES

procedure TmainFrm.displayHint(Sender: TObject);
begin
case hintMode of
  HM_comm: chatFrm.setStatusbar(application.Hint);
  HM_url: chatFrm.setStatusbar(getURLfromFav(application.Hint));
  end;
end;

procedure TmainFrm.Sendemail1Click(Sender: TObject);
begin sendEmailTo(clickedContact) end;

procedure TmainFrm.dnslookup(sender:Tobject; error:word);
begin
if not resolving then exit;
resolving:=FALSE;
setProgBar(0.5/progLogonTotal);
if Error = 0 then lastServerIP:=ICQ.sock.DnsResultList[0];
connect_after_dns;
end; // dnslookup

procedure TmainFrm.splashPaint(Sender: TObject);
begin splashFrm.canvas.draw(0,0,getPic(PIC_SPLASH)) end;

procedure TmainFrm.sbarDrawPanel(StatusBar: TStatusBar; Panel: TStatusPanel; const r: TRect);
var
  y:integer;
  cnv:Tcanvas;
begin
cnv:=statusbar.Canvas;
cnv.font.assign(theme.roaster.barfont);
cnv.brush.color:=statusbar.color;
cnv.fillRect(r);
y:=r.top+(r.bottom-r.top-cnv.TextHeight('1')) div 2;
if progLogon>0 then
  begin
  cnv.brush.color:=clHighlight;
  cnv.FillRect(rect(r.left,r.Top,r.Left+round((r.right-r.left)*progLogon),r.bottom));
  SetBkMode(cnv.handle, TRANSPARENT);
  cnv.font.color:=clHighlightText;
  cnv.textOut(r.left+2,y, intToStr(round(progLogon*100))+'%');
  SetBkMode(cnv.handle, OPAQUE);
  end
else
  begin
  if not outbox.empty then
    begin
    outboxSbarRect:=rect(r.left,r.top,r.Left+getPic(PIC_OUTBOX).Width,r.Top+getPic(PIC_OUTBOX).Height);
    drawPic(cnv, r.left,r.top, PIC_OUTBOX);
    end
  else
    outboxSbarRect:=rect(-1,-1,-1,-1);
  cnv.textOut(r.Right-cnv.textWidth(panel.text)-4,y, panel.text);
  end;
end; // sbar draw

procedure TmainFrm.MusicOFF1Click(Sender: TObject);
begin openURL('http://www.musicoff.com') end;

procedure TmainFrm.Suonerieit1Click(Sender: TObject);
begin openURL('http://www.suonerie.it') end;

procedure TmainFrm.Gamesnet1Click(Sender: TObject);
begin openURL('http://www.gamesnet.it') end;

procedure Tmainfrm.setProgBar(v:double);
begin
progLogon:=v;
sbar.repaint;
end;

procedure TmainFrm.none1Click(Sender: TObject);
begin usersetVisibility(VI_invisible) end;

procedure TmainFrm.onlyvisiblelist1Click(Sender: TObject);
begin usersetVisibility(VI_privacy) end;

procedure TmainFrm.allbutinvisiblelist1Click(Sender: TObject);
begin usersetVisibility(VI_normal) end;

procedure TmainFrm.all1Click(Sender: TObject);
begin usersetVisibility(VI_all) end;

procedure TmainFrm.menuBtnClick(Sender: TObject);
begin
with bar.boundsrect do
  with ClientToScreen(point(left,bottom)) do
		menu.Popup(X,Y)
end;

procedure TmainFrm.sbarDblClick(Sender: TObject);
begin doConnect end;

procedure TmainFrm.statusMenuPopup(Sender: TObject);
begin
automessage1split.visible:=status in statusWithAutoMsg;
automessage1.visible:=status in statusWithAutoMsg;
end;

procedure TmainFrm.divisorMenuPopup(Sender: TObject);
begin
newgroup1.visible:=showGroups;
end;

procedure TmainFrm.groupMenuPopup(Sender: TObject);
begin
addGroupsToMenu(self, Moveallcontactsto1, movecontactsAction);
end;

procedure TmainFrm.contactMenuPopup(Sender: TObject);
var
  showHidden:boolean;
begin
showHidden:=boolean(getShiftState() and (1+2)); // shift OR control
menusendaddedyou1.tag:=PIC_ADDEDYOU;
UIN1.caption:=___('copy uin', [clickedContact.uin]);
if clickedContact.ip = 0 then
  IP1.visible:=FALSE
else
  begin
  IP1.visible:=TRUE;
  IP1.caption:=___('copy ip', [ip2str(clickedContact.ip)] );
  end;
Sendemail1.visible:=clickedContact.email > '';

movetogroup1.visible:=ICQ.readroaster.exists(clickedContact);
if clickedContact.group = 0 then
  movetogroup1.caption:=___('move to group')
else
  movetogroup1.caption:=___('move from group', [groups.id2name(clickedContact.group)] );
addtocontactlist1.visible:=not movetogroup1.visible;
tempvisiblelist1.visible:=ICQ.isOnline and ICQ.readTemporaryVisible.exists(clickedContact) or not ICQ.imVisibleTo(clickedContact);

if movetogroup1.visible then
  addGroupsToMenu(self, movetogroup1, addcontactAction)
else
  addGroupsToMenu(self, addtocontactlist1, addcontactAction);
readautomessage1.visible:=showHidden or
  ICQ.isOnline and (1 in clickedContact.capabilities) and
  (clickedContact.status in statusWithAutomsg);
end;

procedure TmainFrm.Automessage1Click(Sender: TObject);
begin automsgFrm.show end;

procedure TmainFrm.menuPopup(Sender: TObject);
begin
automessage2split.visible:=status in statusWithAutoMsg;
automessage2.visible:=status in statusWithAutoMsg;
mainmenugetofflinemsgs1.visible:=not offlineMsgsChecked and not getOfflineMsgs and not delOfflineMsgs;
mainmenudeleteofflinemsgs1.visible:=not offlineMsgsChecked and not delOfflineMsgs;
end;

procedure TmainFrm.Showonlyonlinecontacts1Click(Sender: TObject);
begin toggleOnlyOnline end;

procedure TmainFrm.statusBtnClick(Sender: TObject);
begin with mousePos do statusmenu.Popup(x,y) end;

procedure TmainFrm.visibilityBtnClick(Sender: TObject);
begin with mousePos do vismenu.Popup(x,y) end;

procedure Tmainfrm.updateStatusGlyphs;
begin
statusBtn.glyph.assign(getPic(statusImgIdx));
visibilityBtn.glyph.assign(getPic(visibilityImgIdx));
end;

procedure Tmainfrm.pwdBoxKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
var
  i:integer;
  s,sub:string;
begin
if key=VK_RETURN then
  begin
  sub:='';
  if shift=[SSctrl] then sub:=#13#10;
  if shift=[SSshift] then sub:=#13;
  if shift=[SSalt] then sub:=#10;
  with sender as Tedit do
    begin
    i:=selstart;
    s:=text;
    insert(sub,s,i+1);
    text:=s;
    selstart:=i+length(sub);
    end;
  end;
end; // pwdboxKeyDown

procedure TmainFrm.httpClientRequestDone(Sender: TObject; RqType: THttpRequest; Error: Word);
var
  ss:Tstrings;
  v,previewv:Longword;
  serial:integer;
  thisVer:string;

  procedure found(v:longword; preview:boolean);
  var
    vs,ps,url:string;
  begin
  if preview then url:=ss.values['preview-download']
  else url:=ss.values['download'];
  ps:=plugins.castEv(PE_UPDATE_INFO, checkupdate.info, ip2str(v), url, preview, v);
  if isAbort(ps) then exit;
  vs:=ip2str(v)+ifThen(preview, ' PREVIEW');
  ps:=ifThen( PREVIEWversion , CRLF+___('is a preview'));
  if messageDlg( ___('new version', [vs,ps]), mtConfirmation,[mbYes,mbNo],0)=mrYes then openURL(url)
  end; // found

  procedure nothingFound;
  begin
  if not checkupdate.autochecking then
    msgDlg(___('no new version'),mtInformation);
  end; // nothingFound

begin
if (error<>0) and not checkupdate.autochecking then
  begin
  msgDlg(___('update error'),mtError);
  exit;
  end;
if not matches(checkupdate.info,1,'&RQ') then exit;
ss:=TstringList.create;
ss.text:=checkupdate.info;
checkupdate.last:=now;
thisVer:=ip2str(ANDRQversion);
 try
  serial:=strToInt(ss.values['serial']);
  v:=str2ip(ss.values['version']);
  previewv:=str2ip(ss.values['preview-version']);

  if (serial > checkupdate.lastSerial) or not checkupdate.autochecking then
    begin
    if ss.values['message'] > '' then
      msgDlg(ss.values['message'], mtInformation);

    openURL(ss.values['html-message-before']);

    if pos(thisVer, ss.values['deprecated']) > 0 then
      msgDlg(___('deprecated version'), mtWarning);
    if pos(thisVer, ss.values['block']) > 0 then
      msgDlg(___('blocked version'), mtWarning);

    if checkupdate.betas and (previewv > ANDRQversion) and (previewv>v) then
      found(previewv,TRUE)
    else
      if v > ANDRQversion then
        found(v,FALSE)
      else
        nothingFound;
    openURL(ss.values['html-message']);
    end
  else
    nothingFound;
 finally
  ss.free;
 end;
checkupdate.lastSerial:=serial;
saveCFG;
end;

procedure TmainFrm.httpClientDocData(Sender: TObject; Buffer: Pointer; Len: Integer);
var
  i:integer;
begin
i:=length(checkupdate.info);
setLength(checkupdate.info,i+len);
move(buffer^,checkupdate.info[i+1],len);
end;

procedure TmainFrm.Checkforupdates1Click(Sender: TObject);
begin
checkupdate.autochecking:=FALSE;
check4update
end;

procedure TmainFrm.FormHide(Sender: TObject);
begin dockSet(FALSE) end;

procedure Tmainfrm.WndProc(var msg:TMessage);
var
  i:integer;
begin
case msg.msg of
  WM_SHOWWINDOW: if (msg.wparam=0) or running then inherited;
  WM_HOTKEY: if not locked and hotkeysEnabled then executeMacro(macros[msg.wparam].opcode);

  WM_SYSCOMMAND:
    case msg.WParam and $FFF0 of  // first four bits are reserved
      SC_CLOSE:if hideOnClose then toggleVisible else inherited;
      SC_MINIMIZE:toggleVisible;
      else
        autosizeDelayed:=TRUE;
        inherited;
      end;
  WM_TRAY:
    if not locked and running then
      case msg.lParam of
        WM_LBUTTONUP: SetForegroundWindow(handle);
        WM_LBUTTONDBLCLK: trayAction;
        WM_RBUTTONUP:
          if GetAsyncKeyState(VK_CONTROL) shr 7 <> 0 then
            eventQ.clear
          else
            begin
            ForceForegroundWindow(handle);
            with mousePos do menu.Popup(x, y);
            end;
        end;
  WM_MOVING:
    begin
    if not docking.enabled then
      begin
      inherited;
      exit;
      end;
    i:=mousepos.x;
    if not docking.active and ((i<DOCK_SNAP) or (i>screen.width-DOCK_SNAP)) then
      begin
      docking.active:=TRUE;
      docking.pos:=DP_right;
      if i < DOCK_SNAP then docking.pos:=DP_left;
      docking.bakOfs:=point(mousepos.x-boundsrect.left, mousepos.y-boundsrect.top);
      docking.bakSize:=point(width, height);
    	end;
    if docking.active and (i>DOCK_SNAP) and (i<screen.width-DOCK_SNAP) then
      begin
      docking.active:=FALSE;
      with Trect(pointer(msg.lparam)^) do
        begin
        left:=mousepos.x-docking.bakOfs.x;
        top:=mousepos.y-docking.bakOfs.y;
        right:=left+docking.bakSize.x;
        bottom:=top+docking.bakSize.y;
        end;
      end;
    dockSet(Trect(pointer(msg.lparam)^));
    if not docking.active then
      inherited;
    end;
  WM_SIZING:
    begin
    if docking.active then
      dockSet(Trect(pointer(msg.lparam)^));
    inherited;
    end;
  else inherited;
  end;
end; // wndproc

procedure TmainFrm.SendanSMS1Click(Sender: TObject);
begin TsmsFrm.doAll(self,'','') end;

procedure TmainFrm.OnTimer(Sender: TObject);

  procedure updateClocks;
  var
    i:integer;
  begin
  with childWindows do
    begin
    i:=0;
    while i < count do
      begin
      if Tobject(items[i]) is TviewInfoFrm then
        with TviewInfoFrm(items[i]) do
          if contact.GMTavailable then
            timeBox.text:=formatDatetime(timeformat.clock, now-GMToffset+contact.getGMT);
      inc(i);
      end;
    end;
  end; // updateClocks

  procedure processOutbox;
  var
    oe:Toevent;
  begin
  if outboxCount > 0 then
    dec(outboxCount);
  if outboxCount = 0 then
    if assigned(ICQ) and ICQ.isOnline and outboxFrm.processChk.checked then
      begin
      oe:=outbox.popVisible;
      if oe=NIL then exit;
      outboxCount:=timeBetweenMsgs;
      outboxFrm.updateList;
      processOevent(oe);
      oe.free;
      end;
  end; // processOutbox

var
  i:integer;
  b:boolean;
  vi:TviewInfoFrm;
  pt:Tpoint;
  aNewDawn:boolean;   // TRUE once after each midnight
begin
aNewDawn:=FALSE;

// keyboard search timeout
if now-lastSearchTime > 1.2*DTseconds then
  begin
  searching:='';
  roasterLib.expandedByTempFocus:=NIL;
  end;
// hide taskbar button
hideTaskButtonIfUhave2;
// bring foreground the window
if bringForeground <> 0 then
  if ForceForegroundWindow(bringForeground) then
    begin
    // update transparency on mainfrm (de)selection
    applyTransparency;
    bringForeground:=0;
    end;
longdelayCount:=succ(longdelayCount) mod 50;
if longdelayCount = 1 then
  begin
  aNewDawn:= trunc(now)-trunc(lastOnTimer) = 1;
  lastOnTimer:=now;

  // windows colors could have been changed, so lets recalculate "selectedColor"
  selectedColor:=blend(clHighlight, clBtnFace, 0.4);
  // trayicon could disappear on crash, lets replace it
  if assigned(statusIcon) and assigned(statusIcon.trayIcon) then
    statusIcon.trayIcon.update;
  // each 24hours check for updates
  if checkupdate.enabled and (now-checkupdate.last > checkupdate.every)
  and not startingLock then
    begin
    checkupdate.autochecking:=TRUE;
    check4update;
    end;
  end;

///////////////////// USER RELATED EVENTS //////////////////////

if usertime < 0 then exit;
inc(usertime);    // keep track of user time

// close splash window
if (usertime=10) and not skipSplash then
  splashFrm.free;

if aNewDawn then
  applyBalloon;

// have messages been seen
if autoConsumeEvents and assigned(chatFrm) and chatFrm.isVisible then
  chatFrm.sawAllhere;

processOutbox;

// query contacts infos
if usertime mod 20=0 then
  if assigned(retrieveQ) and (ICQ.isOnline) and not retrieveQ.empty then
    begin
    ICQ.sendSimpleQueryInfo(retrieveQ.getAt(0).uin);
    retrieveQ.delete(0);
    saveRetrieveQ;
    end;

if not childParent(getFocus,mainfrm.handle) then inc(inactiveTime)
else inactiveTime:=0;
{ autohide triggers if
{ - it is enabled
{ - time set has passed
{ - the windows is visible
{ - the mouse is not over the window
}
if inactivehide and (inactiveTime>=inactivehideTime)
and formVisible(mainfrm) and not into(mousePos,mainfrm.boundsrect) then
  toggleVisible;

if assigned(tipFrm) then
  with tipFrm do if not mousedown then
    if actionCount=0 then
      begin
      // shutdown tip-window
      if counter > 0 then
        begin
        dec(counter);
        if counter = 0 then
          hide();
        end
      end
    else
      begin
      // manages tip-window clicks
      dec(actionCount);
      if actionCount = 0 then
        begin
        counter:=0;
        hide();
        case action of
          TA_2lclick:
            begin
            chatFrm.openOn(contact);
            chatFrm.moveToTimeOrEnd(contact, time);
            end;
          TA_rclick: eventQ.removeEvent(contact);
          end;
        action:=TA_null;
        end;
      end;

// decay events
i:=0;
with eventQ do
while i < count do
  with Thevent(items[i]) do
    if expires = 0 then
      begin
      free;
      removeAt(i);
      end
    else
      begin
      if expires > 0 then
        dec(expires);
      inc(i);
      end;

// do blink!
blinkCount:=succ(blinkCount) mod blinkSpeed;
if blinkCount = 0 then
  begin
  blinking:=not blinking;
  statusIcon.update;
  // roaster blinking
  i:=0;
  with eventQ do
    while i < count do
      begin
      roasterLib.redraw(Thevent(items[i]).who);
      inc(i);
      end;
  end;
// the icon in preferences blinks at a different frequency
if assigned(prefFrm) then
  begin
  blinkExCount:=succ(blinkExCount) mod prefFrm.designFr.blinkSlider.position;
  if blinkExCount = 0 then
    with prefFrm.designFr.blinkImg do
      visible:=not visible;
  end;

// hide message scrollbar
if hideScrollTimer>0 then
  begin
  dec(hideScrollTimer);
  if hideScrollTimer=0 then
    with chatFrm do
      if thisChat<>NIL then
        thisChat.lsb.width:=minimizedScroll;
  end;

if removeTempVisibleTimer > 0 then
	begin
	dec(removeTempVisibleTimer);
  if removeTempVisibleTimer = 0 then
		ICQ.removeTemporaryVisible(removeTempVisibleContact);
  end;

if saveDBtimer > 0 then
  begin
  dec(saveDBtimer);
  if saveDBtimer=0 then
    saveDB;
  if saveDBtimer>300 then
    saveDBtimer:=300;
  end;

if showRoasterTimer > 0 then
  begin
  dec(showRoasterTimer);
  if showRoasterTimer = 0 then
	  if not formVisible(mainfrm) then mainfrm.toggleVisible();
  end;

if longdelayCount = 0 then
  begin
  if connectOnConnection and connectionAvailable and not enteringICQpwd
  and (lastStatusUserSet<>SC_OFFLINE) then
    setStatus(lastStatus);
  // screen size could change, so update window position
  if docking.active then
    dockSet
  else
    begin
    fixWindowPos(mainfrm);
    fixWindowPos(chatFrm);
    end;
  // auto-reconnection
  if stayConnected and ICQ.isOffline and connectionAvailable then
    setStatus(lastStatus);
  // runs along the whole roaster
  b:=FALSE;
  i:=0;
  with ICQ.readroaster do
    while i<count do
      begin
      with TCE(getAt(i).data^) do
        if toQuery then
          begin
          b:=TRUE;
          toQuery:=FALSE;
          inc(saveDBtimer, saveDBdelay);
          retrieveQ.add(getAt(i));
          end;
      inc(i);
      end;
  if b then
    saveRetrieveQ;
  // file saving
  if saveInboxDelayed then
    begin
    saveInboxDelayed:=FALSE;
    saveInbox;
    end;
  if saveOutboxDelayed then
    begin
    saveOutboxDelayed:=FALSE;
    saveOutbox;
    end;
  if saveGroupsDelayed then
    begin
    saveGroupsDelayed:=FALSE;
    groups.save;
    end;
  if saveListsDelayed then
    begin
    saveListsDelayed:=FALSE;
    savelists;
    end;
  end;

// things to do twice per second
delayCount:=succ(delayCount) mod 5;
if delayCount = 0 then
  begin
  updateClocks();
  flushHistoryWritingQ();

  with updateViewInfoQ do
    begin
    resetEnumeration;
    while hasMore do
      begin
      vi:=findViewInfo(getNext);
      if assigned(vi) then
        begin
        vi.updateInfo;
        if not formVisible(vi) then
          begin
          showForm(vi);
          if vi.readOnlyContact then
            vi.displayBox.setFocus
          else
            vi.nickBox.setFocus;
          bringForeground:=vi.handle;
          end;
        end;
      end;
    clear;
    end;

  if keepalive.enabled and (keepalive.timer > 0) then
    begin
    dec(keepalive.timer);
    if keepalive.timer=0 then
      begin
      icq.sendkeepalive;
      keepalive.timer:=keepalive.freq*2;
      end;
    end;

  // auto-away (isHooked is needed for keyboard handling)
  if isHooked and ICQ.isOnline then
    with autoaway do
      begin
      inc(time, 5);    // we are in delay-block then 0.5s
      pt:=mousePos;
      // track mouse activity
      if (pt.x<>lastMousePos.x) or (pt.y<>lastMousePos.y) or (shared^.keyMoved<>lastKeybPos) then
        begin
        lastMousePos:=pt;
        lastKeybPos:=shared^.keyMoved;
        time:=0;
        if autoexit and (triggered<>TR_NONE) then
          exitFromAutoaway();
        end;
      if (triggered=TR_NONE) and not (ICQ.getStatus in [SC_AWAY,SC_NA,SC_DND])
      or (triggered<>TR_NONE) then
        begin
        if away and (time >= awayTime) and (triggered=TR_NONE) then
          begin
          bakstatus:=setStatus(SC_AWAY);
          bakmsg:=setAutomsg(msg) ;
          triggered:=TR_AWAY;  // has to be set AFTER setstatus
          end;
        if na and (time >= naTime) and (triggered<>TR_NA) then
          begin
          if triggered=TR_NONE then
            begin
            bakstatus:=setStatus(SC_NA);
            bakmsg:=setAutomsg(msg);
            end
          else
            begin
            setStatus(SC_NA);
            setAutomsg(msg);
            end;
          triggered:=TR_NA;  // has to be set AFTER setstatus
          end;
        end;
      end;

  if appBarResizeDelayed then
    begin
    appBarResizeDelayed:=FALSE;
    if docking.appBar then
      setAppBarSize;
    end;

  mainFrm.doAutosize;

  if roasterRebuildDelayed and not roasterLib.building then
    begin
    roasterRepaintDelayed:=FALSE;
    roasterRebuildDelayed:=FALSE;
    roasterLib.rebuild;
    end;
  if roasterRepaintDelayed then
    begin
    roasterRepaintDelayed:=FALSE;
    mainfrm.roaster.repaint;
    end;
  if dbUpdateDelayed then
    begin
    dbUpdateDelayed:=FALSE;
    inc(saveDBtimer, saveDBdelay);
    dbFrm.updateList;
    end;
  end; // short delay
// update nooncomingcounter
if noOncomingCounter > 0 then
  dec(noOncomingCounter);

// apply alwaysOnTop
if formVisible(mainfrm) and (alwaysOnTop <> isTopMost(mainFrm)) then
  setTopMost(mainFrm, alwaysOnTop);
if formVisible(chatFrm) and (chatAlwaysOnTop <> isTopMost(chatFrm)) then
  setTopMost(chatFrm, chatAlwaysOnTop);
if formVisible(tipfrm) and not isTopMost(tipFrm) then
  setTopMost(tipFrm, TRUE);
end; // ontimer

procedure TmainFrm.Ignorelist1Click(Sender: TObject);
var
  c:Tcontact;
begin
c:=clickedContact;
if c=NIL then exit;
if ignorelist.exists(c) then
  removeFromIgnorelist(c)
else
  begin
  addToIgnorelist(c);
  if messageDlg(___('remove on ignore', [c.displayed]), mtConfirmation, [mbYes,mbNo], 0) = mrYes then
    removeFromRoaster(c);
  end;
end;

procedure TmainFrm.Openchatwith1Click(Sender: TObject);
var
  uin:integer;
begin
if enterUinDlg(uin, ___('open chat with')) then
  if uin = icq.myinfo.uin then msgDlg(___('invalid uin'),mtWarning)
  else chatFrm.openOn(contactsDB.get(uin));
end;

procedure TmainFrm.Getofflinemessages1Click(Sender: TObject);
begin ICQ.sendReqOfflineMsgs end;

procedure TmainFrm.Deleteofflinemessages1Click(Sender: TObject);
begin
ICQ.sendDeleteOfflineMsgs;
offlineMsgsChecked:=TRUE;
end;

procedure TmainFrm.mainmenuimportclbClick(Sender: TObject);
var
  fn:string;
  cl:Tcontactlist;
begin
fn:=opendlg(self, 'clb');
if fn = '' then exit;
cl:=clb2contactlist(loadfile(fn));
cl.resetEnumeration;
roaster.hide;
try while cl.hasmore do addToRoaster(cl.getnext)
finally roaster.show end;
cl.free;
end;

procedure TmainFrm.mainmenuexportclbClick(Sender: TObject);
var
  fn:string;
begin
fn:=savedlg(self, 'clb');
if fn = '' then exit;
if savefile(fn, contactlist2clb(ICQ.readroaster)) then
  msgDlg(___('done'), mtInformation)
else
  msgDlg(___('error'), mtError);
end;

procedure TmainFrm.RQhomepage1Click(Sender: TObject);
begin openURL('http://www.rejetto.com/&RQ') end;

procedure TmainFrm.RQforum1Click(Sender: TObject);
begin openURL('http://www.rejetto.com/forum') end;

procedure TmainFrm.RQwhatsnew1Click(Sender: TObject);
begin openURL('http://www.rejetto.com/&RQ/whatsnew.html') end;

procedure TmainFrm.roasterKeyPress(Sender: TObject; var Key: Char);
var
  k:char;
begin
k:=upcase(key);
key:=#0;  // avoid beep
case k of
  #8,#27: searching:='';
  #13:
    if roasterLib.focused<>NIL then
      if roasterLib.focused.kind = NODE_DIV then
        toggleOnlyOnline
      else
        chatFrm.openOn(roasterlib.focusedContact);
  'A'..'Z','0'..'9','_','@':
    begin
    searching:=searching+k;
    doSearch;
    lastSearchTime:=now;
    exit;
    end;
  end;
formkeypress(sender,k);
end;

procedure TmainFrm.roasterMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  focused:Tnode;
begin
focused:=roasterLib.focused;
if (button = mbLeft) and (clickedNode<>NIL) then
  case clickedNode.kind of
    NODE_CONTACT:
      if (focused<>NIL) and into(point(x,y-focused.rect.top), focused.outboxRect) then
        outboxFrm.open(focused.contact);
    end;

with roaster.ClientToScreen(point(x,y)) do
  if button = mbRight then
    roasterLib.popup(x,y);
end;

procedure TmainFrm.roasterDblClick(Sender: TObject);
var
  ev:Thevent;
begin
if clickedNode = NIL then exit;
case clickedNode.kind of
  NODE_DIV: toggleOnlyOnline;
  NODE_CONTACT:
    begin
    ev:=eventQ.firstEventFor(clickedContact);
    if ev=NIL then
      begin
      chatFrm.openOn(clickedContact);
      chatFrm.setFocus;
      bringForeground:=chatFrm.handle;
      end
    else
      begin
      eventQ.removeEvent(ev.kind, ev.who);
      realizeEvent(ev);
      end;
    end;
  end;
end;

procedure TmainFrm.roasterKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
clickedContact:=roasterlib.focusedContact;
if shift=[] then
  case key of
    VK_HOME, VK_END, VK_PRIOR, VK_NEXT,
    VK_UP, VK_DOWN, VK_RIGHT, VK_LEFT: searching:='';
    VK_DELETE: delete1click(self);
    VK_F2: roasterLib.edit(roasterlib.focused);
    VK_F3: chatFrm.flash();
    VK_APPS: roasterLib.popup();
    end;
if shift=[ssShift] then
  case key of
    VK_F10: roasterLib.popup();
    end;
end;

procedure Tmainfrm.roasterStopEditing(sender:Tobject);
begin inplace.edit.hide end;

procedure Tmainfrm.roasterKeyEditing(Sender: TObject; var Key: Char);
begin
case key of
  #27:
    begin
    key:=#0;
    inplace.edit.hide;
    mainfrm.roaster.setfocus;
    end;
  #13:
    begin
    key:=#0;
    with inplace do
      case what of
        NODE_GROUP:
          if (groups.name2id(edit.text) < 0)
          or (messageDlg(___('name already exists',[edit.text]), mtConfirmation, [mbYes,mbNo], 0) = mrYes) then
            begin
            groups.a[groups.idxOf(groupId)].name:=edit.text;
            saveGroupsDelayed:=TRUE;
            end;
        NODE_CONTACT:
          begin
          if edit.text <> contact.displayed then
            contact.display:=edit.text;
          chatFrm.userChanged(contact);
          dbUpdateDelayed:=TRUE;
          updateViewInfo(contact);
          end;
        end;
    roasterLib.sort(inplace.node);
    inplace.edit.hide;
    mainFrm.roaster.SetFocus;
    exit;
    end;
  end;
end;

procedure TmainFrm.roasterCompareNodes(Sender: TBaseVirtualTree; Node1,
  Node2: PVirtualNode; Column: TColumnIndex; var Result: Integer);
begin result:=compareNodes(getnode(node1),getnode(node2)) end;

procedure TmainFrm.roasterMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin roasterlib.focus(roasterlib.nodeAt(x,y)) end;

procedure TmainFrm.roasterCollapsed(Sender: TBaseVirtualTree; Node: PVirtualNode);
var
  n:Tnode;
begin
if roasterLib.building then exit;
autosizeDelayed:=TRUE;
n:=getNode(node);
if n.kind = NODE_GROUP then
  groups.a[groups.idxOf(n.groupId)].expanded[n.divisor]:=vsExpanded in node.states;
saveGroupsDelayed:=TRUE;
end;

procedure TmainFrm.roasterCollapsing(Sender: TBaseVirtualTree;
  Node: PVirtualNode; var Allowed: Boolean);
var
  n:Tnode;
begin
n:=getNode(node);
if not assigned(n) then exit;
allowed:= n.kind<>NODE_DIV;
end;

procedure TmainFrm.roasterDragOver(Sender: TBaseVirtualTree;
  Source: TObject; Shift: TShiftState; State: TDragState; Pt: TPoint;
  Mode: TDropMode; var Effect: Integer; var Accept: Boolean);
var
  dest, destGrp,destDiv, clickedGrp,clickedDiv:Tnode;
begin
accept:=FALSE;
dest:=roasterLib.nodeAt(pt.x,pt.y);
if dest=NIL then exit;
case dest.kind of
  NODE_CONTACT:
    begin
    destGrp:=dest.Parent;
    if destGrp.kind = NODE_GROUP then  // it's not sure that contact is under a group
      destDiv:=destGrp.parent
    else
      begin
      destDiv:=destGrp;
      destGrp:=NIL;
      end;
    end;
  NODE_GROUP:
    begin
    destGrp:=dest;
    destDiv:=destGrp.parent;
    end;
  NODE_DIV:
    begin
    destGrp:=NIL;
    destDiv:=dest;
    end;
  else
    begin   // should never reach this
    msgDlg('error: drag over: unknown kind', mtError);
    exit;
    end;
  end;

clickedGrp:=Tnode(TCE(clickedContact.data^).node).parent;
if clickedGrp.kind = NODE_DIV then
  begin
  clickedDiv:=clickedGrp;
  clickedGrp:=NIL;
  end
else
  clickedDiv:=clickedGrp.parent;

// divisor must be the same, cannot cross divisors
if (clickedGroup>0) or (clickedContact<>NIL) then
  accept:=(clickedDiv=destDiv) and (clickedGrp<>destGrp);
end;

procedure TmainFrm.roasterDragDrop(Sender: TBaseVirtualTree;
  Source: TObject; DataObject: IDataObject; Formats: TFormatArray;
  Shift: TShiftState; Pt: TPoint; var Effect: Integer; Mode: TDropMode);
var
  grpOrDiv,n:Tnode;
  o:integer;
begin
roasterLib.dragging:=FALSE;
grpOrDiv:=roasterLib.nodeAt(pt.x,pt.y);
while grpOrDiv.kind=NODE_CONTACT do
  grpOrDiv:=grpOrDiv.Parent;
if clickedContact<>NIL then
  setNewGroupFor(clickedContact, ifThen(grpOrDiv.kind=NODE_GROUP, grpOrDiv.groupId));
if clickedGroup>0 then
  begin
  n:=grpOrDiv;
  if n.kind=NODE_DIV then // we want the group to be the first
    begin
    // n = first group on this div
    n:=n.firstChild;
      repeat
      n:=n.next;
      if n=NIL then exit;
      until n.kind=NODE_GROUP;
    groups.get(clickedGroup).order:=n.order-1
    end
  else
    begin
    // is this the last group? 
    repeat n:=n.next until (n=NIL) or (n.kind=NODE_GROUP);
    if n=NIL then
      // we want the group to be the last
      groups.get(clickedGroup).order:=grpOrDiv.order+1
    else
      begin
      n:=grpOrDiv;
      o:=n.order-1;
      groups.get(clickedGroup).order:=o;
        repeat
        if n.groupID<>clickedGroup then
          begin
          dec(o);
          groups.get(n.groupId).order:=o;
          end;
        n:=n.prev;
        until (n=NIL) or (n.kind<>NODE_GROUP);
      end;
    end;
  roasterRebuildDelayed:=TRUE;
  end;
end;

procedure TmainFrm.roasterFocusChanged(Sender: TBaseVirtualTree; Node: PVirtualNode; Column: TColumnIndex);
begin roasterLib.focus(node) end;

procedure TmainFrm.menushowonlyimvisibleto1Click(Sender: TObject);
begin toggleOnlyImVisibleto end;

procedure TmainFrm.roasterDrawNode(Sender: TBaseVirtualTree; const PaintInfo: TVTPaintInfo);
var
  bakmode:integer;
  cnv:Tcanvas;
  R:Trect;
  n:Tnode;
  x,y:integer;
  c:Tcontact;
  pic:Tbitmap;
  ev:Thevent;
  b,isNIL:boolean;
  s:string;
  size:Tsize;
begin
cnv:=paintinfo.canvas;
R:=paintinfo.CellRect;
n:=Tnode(sender.getnodedata(paintinfo.node)^);
if paintinfo.node = roaster.focusednode then
  begin
  cnv.Brush.color:=theme.roaster.selectioncolor;
  cnv.fillrect(r);
  end;
cnv.font.assign(theme.roaster.font);
bakmode:=getbkmode(cnv.handle);
SetBkMode(cnv.handle, TRANSPARENT);
x:=0;
y:=0;
case n.kind of
  NODE_CONTACT:
    begin
    inc(x,2);
    c:=n.contact;
    isNIL:=notinlist.exists(c);
    if indentRoaster and showgroups and (c.group>0) and not isNIL then
      inc(x, getPic(PIC_CLOSE_GROUP).width);
    if ICQ.imVisibleTo(c) and showVisibilityFlag then
      inc(x, drawPic(cnv, x,y+1, PIC_VISIBLE_TO).cx+2);
    ev:=eventQ.firstEventFor(c);
    if ev=NIL then
      size:=drawPic(cnv, x,y+1, roasterImgIdxFor(c))
    else
      begin
      size.cx:=getPic(ev.pic).width;
      if blinking or onStatusDisable[icq.myinfo.status].blinking then
        drawPic(cnv, x,y, ev.pic)
      end;
    inc(x, size.cx+2);
    if outbox.stFor(c) then
      begin
      pic:=getPic(PIC_OUTBOX);
      n.outboxRect:=rect(x,y,x+pic.width,y+pic.height);
      inc(x, drawPic(cnv, x,y,pic).cx+2);
      end
    else
      n.outboxRect:=rect(-1,-1,-1,-1);
    if paintinfo.node = roaster.focusednode then
      cnv.font.color:=theme.roaster.selectionTextColor
    else
      if isNIL then
        cnv.font.color:=theme.roaster.nilColor
      else
        if ICQ.isOnline then
          case c.status of
            SC_OFFLINE: cnv.font.color:=theme.roaster.offlineColor;
            SC_UNK: ;
            else cnv.font.color:=theme.roaster.onlineColor;
            end;
    case roasterItalic of
      RI_LIST: b:=visibleList.exists(c);
      RI_VISIBLETO: b:=ICQ.imVisibleTo(c);
      else b:=FALSE;
      end;
    if b then
      if fsItalic in cnv.font.style then
        cnv.font.style:=cnv.font.style-[fsItalic]
      else
        cnv.font.style:=cnv.font.style+[fsItalic];
    n.textOfs:=x;
    cnv.textout(x,y+2, c.displayed);
    end;
  NODE_GROUP:
    begin
    cnv.font.assign(theme.roaster.groupfont);
    if n.expanded and (n.childrenCount>0) then
      inc(x, drawPic(cnv, x+2,y,PIC_OPEN_GROUP).cx+4)
    else
      inc(x, drawPic(cnv, x+2,y,PIC_CLOSE_GROUP).cx+4);

    s:=___('roaster group', [groups.id2name(n.groupId), n.childrenCount, ICQ.readRoaster.count(n.groupID)] );
    n.textOfs:=x;
    cnv.textout(x,y+2,s);
    end;
  NODE_DIV:
    begin
    cnv.font.assign(theme.roaster.divfont);
    cnv.pen.color:=cnv.font.color;
    s:=___('divisor '+divisor2str[Tdivisor(n.divisor)])+' '+intToStr(contactsUnder(n));
    size:=txtSize(cnv.handle, s);
    x:=(r.right+r.left-size.cx) div 2;
    y:=(r.bottom+r.top-size.cy) div 2;
    if x < 10 then
      x:=10;
    n.textOfs:=x;

    cnv.textout(x,y,s);

    y:=(r.top+r.bottom) div 2-2;
    cnv.moveTo(r.left, y);
    cnv.lineTo(x-1, cnv.penpos.y);
    cnv.moveTo(x+size.cx+3, cnv.penpos.y);
    cnv.lineTo(r.right, cnv.penpos.y);
    end;
  end;//case
SetBkMode(cnv.handle, bakmode);
end;

procedure TmainFrm.roasterFocusChanging(Sender: TBaseVirtualTree; OldNode,
  NewNode: PVirtualNode; OldColumn, NewColumn: TColumnIndex;
  var Allowed: Boolean);
begin
roaster.ClearSelection;
end;

procedure TmainFrm.mainmenureloadtheme1Click(Sender: TObject);
begin reloadCurrentTheme() end;

procedure TmainFrm.mainmenureloadlang1Click(Sender: TObject);
begin reloadCurrentLang() end;

procedure TmainFrm.FormCreate(Sender: TObject);
begin
ICQ.sock.OnDnsLookupDone:=mainFrm.dnslookup;
uninstallHook;
installHook;
width:=120;
contactsPnl:=sbar.panels[0];
ICQ.listener:=icqEvent;
application.OnActivate:=appActivate;
application.OnDeActivate:=appActivate;
mainfrmHandleUpdate;
startTimer;
end;

procedure TmainFrm.FormKeyPress(Sender: TObject; var Key: Char);
begin
if key=#27 then
  toggleVisible;
end;

procedure TmainFrm.roasterKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin formKeyDown(sender,key,shift) end;

procedure TmainFrm.menusendaddedyou1Click(Sender: TObject);
begin
if messageDlg(___('addedyou confim',[clickedContact.displayed]),
	mtConfirmation,	[mbYes,mbNo], 0) = mrYes then
	outbox.add(OE_ADDEDYOU, clickedContact.uin)
end;

procedure TmainFrm.Readautomessage1Click(Sender: TObject);
begin
if not ICQ.isOnline then exit;
if warnVisibilityAutoMsgReq and not ICQ.imVisibleTo(clickedContact) then
	case messageDlg(___('make you visible'), mtConfirmation, [mbYes,mbYesToAll,mbNo], 0) of
		mrNo: exit;
	  mrYesToAll: warnVisibilityAutoMsgReq:=FALSE;
	  end;
sendICQautomsgreq(clickedContact.uin)
end;

procedure TmainFrm.roasterMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
if (ssLeft in shift) and ((clickedContact<>NIL) or (clickedGroup>0)) then
  begin
  roasterLib.dragging:=TRUE;
  roaster.BeginDrag(FALSE);
  end;
end;

procedure TmainFrm.roasterGetHintSize(Sender: TBaseVirtualTree;
  Node: PVirtualNode; Column: TColumnIndex; var R: TRect);
var
  bmp:Tbitmap;
begin
bmp:=createBitmap(1,1);
drawNodeHint(bmp.canvas, node, r);
bmp.free;
end;

procedure TmainFrm.roasterDrawHint(Sender: TBaseVirtualTree;
  HintCanvas: TCanvas; Node: PVirtualNode; R: TRect; Column: TColumnIndex);
begin
{ pre-paint is made on another canvas, the font is different, and i don't know
{ how to get the system tooltip font size. To get the same font size in paint
{ and pre-paint i set the font to the standard window font }
hintcanvas.font.assign(font);
drawNodeHint(hintcanvas, node, r);
end;

procedure TmainFrm.minBtnClick(Sender: TObject);
begin toggleVisible end;

end.
