{
Copyright (C) 2002-2004  Massimo Melina (www.rejetto.com)

This file is part of &RQ.

    &RQ is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    &RQ is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with &RQ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit sendfileDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, contacts, ExtCtrls;

type
  TsendfileFrm = class(TForm)
    tree: TTreeView;
    sendBtn: TBitBtn;
    msgBox: TMemo;
    Label3: TLabel;
    toBox: TLabeledEdit;
    LabeledEdit1: TLabeledEdit;
    ani: TAnimate;
    procedure FormResize(Sender: TObject);
    procedure sendBtnClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
  public
    contact:Tcontact;
    files:string;
    ID:integer;
    constructor doAll(owner_ :Tcomponent; contact_:Tcontact; files_:string);
  end;

implementation

{$R *.dfm}

uses
  globalLib, utilLib, langLib;

constructor TsendFileFrm.doAll(owner_ :Tcomponent; contact_:Tcontact; files_:string);
begin
inherited create(owner_);
position:=poDefaultPosOnly;
contact:=contact_;
caption:=contact.displayed;
files:=files_;
childWindows.Add(self);
applyTaskButton(self);
icon:=pic2ico(PIC_FILE);
translateWindow(self);
showForm(self);
bringForeground:=handle;
ID:=-1;
end; // doAll

procedure TsendfileFrm.FormResize(Sender: TObject);
begin
tree.top:=0;
tree.left:=msgBox.boundsrect.right+2;
tree.width:=clientwidth-tree.left;
tree.height:=clientHeight-tree.top;
end;

procedure TsendfileFrm.sendBtnClick(Sender: TObject);
begin
ID:=sendICQfiles(contact.uin, files);
sendBtn.enabled:=FALSE;
ani.visible:=TRUE;
ani.active:=TRUE;
end;

procedure TsendfileFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
childWindows.remove(self);
if ID > 0 then ICQ.sendFileAbort(ID);
ani.active:=FALSE;
action:=caFree;
destroyHandle;
end;

procedure TsendfileFrm.FormShow(Sender: TObject);
begin
applyTaskButton(self)
end;

end.
